<?php

namespace App\Http\Requests;

use App\Models\ExperienceInEpidemiology;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Symfony\Component\HttpFoundation\Response;

class MassDestroyExperienceInEpidemiologyRequest extends FormRequest
{
    public function authorize()
    {
        abort_if(Gate::denies('experience_in_epidemiology_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:experience_in_epidemiologies,id',
        ];
    }
}
