<?php

namespace App\Http\Requests;

use App\Models\WaterSanitationHygieneWash;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Symfony\Component\HttpFoundation\Response;

class MassDestroyWaterSanitationHygieneWashRequest extends FormRequest
{
    public function authorize()
    {
        abort_if(Gate::denies('water_sanitation_hygiene_wash_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:water_sanitation_hygiene_washes,id',
        ];
    }
}
