<?php

namespace App\Http\Requests;

use App\Models\ReadinessAndRtMember;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreReadinessAndRtMemberRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('readiness_and_rt_member_create');
    }

    public function rules()
    {
        return [
            'upload_certified_rrt_training' => [
                'array',
            ],
            'upload_medical_certificate' => [
                'array',
            ],
            'upload_certificate_of_physical_fitness' => [
                'array',
            ],
            'vaccinations.*' => [
                'integer',
            ],
            'vaccinations' => [
                'array',
            ],
            'training_1_date' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'training_1_expiration_date' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'training_2_date' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'training_2_expiration_date' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'training_3_date' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'training_3_expiration_date' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'training_4_date' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'training_4_expiration_date' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'training_support_documents' => [
                'array',
                'required',
            ],
            'training_support_documents.*' => [
                'required',
            ],
        ];
    }
}
