<?php

namespace App\Http\Requests;

use App\Models\Register;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateRegisterRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('register_edit');
    }

    public function rules()
    {
        return [
            'structure_of_agency' => [
                'string',
                'required',
            ],
            'department' => [
                'string',
                'required',
            ],
            'name_of_supervisory_line_manager' => [
                'string',
                'required',
            ],
            'supervisorr_email' => [
                'required',
            ],
            'fetp_mmber' => [
                'required',
            ],
            'fetp_graduate' => [
                'required',
            ],
            'city_of_residence' => [
                'string',
                'required',
            ],
            'workplace' => [
                'required',
            ],
            'phone_number' => [
                'string',
                'nullable',
            ],
            'national_agency_employee' => [
                'required',
            ],
            'if_yes_number' => [
                'numeric',
            ],
            'eoc_if_yes_number_of_years' => [
                'nullable',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
            'number_international_deployments' => [
                'nullable',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
            'experience_as_a_team_leader' => [
                'required',
            ],
            'if_yes_above_number_of_deployments_as_tl' => [
                'nullable',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
        ];
    }
}
