<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRelationshipFieldsToWaterSanitationHygieneWashesTable extends Migration
{
    public function up()
    {
        Schema::table('water_sanitation_hygiene_washes', function (Blueprint $table) {
            $table->unsignedBigInteger('in_healthcare_settings_id')->nullable();
            $table->foreign('in_healthcare_settings_id', 'in_healthcare_settings_fk_7700188')->references('id')->on('training_levels');
            $table->unsignedBigInteger('in_a_non_medical_id')->nullable();
            $table->foreign('in_a_non_medical_id', 'in_a_non_medical_fk_7700189')->references('id')->on('training_levels');
            $table->unsignedBigInteger('source_water_assessment_id')->nullable();
            $table->foreign('source_water_assessment_id', 'source_water_assessment_fk_7700190')->references('id')->on('training_levels');
            $table->unsignedBigInteger('water_analysis_id')->nullable();
            $table->foreign('water_analysis_id', 'water_analysis_fk_7700191')->references('id')->on('training_levels');
            $table->unsignedBigInteger('train_others_on_water_testing_and_aquatab_id')->nullable();
            $table->foreign('train_others_on_water_testing_and_aquatab_id', 'train_others_on_water_testing_and_aquatab_fk_7700192')->references('id')->on('training_levels');
            $table->unsignedBigInteger('water_infrastructure_mapping_id')->nullable();
            $table->foreign('water_infrastructure_mapping_id', 'water_infrastructure_mapping_fk_7700193')->references('id')->on('training_levels');
        });
    }
}
