<?php

namespace Database\Seeders;

use App\Models\Permission;
use Illuminate\Database\Seeder;

class PermissionsTableSeeder extends Seeder
{
    public function run()
    {
        $permissions = [
            [
                'id'    => 1,
                'title' => 'user_management_access',
            ],
            [
                'id'    => 2,
                'title' => 'permission_create',
            ],
            [
                'id'    => 3,
                'title' => 'permission_edit',
            ],
            [
                'id'    => 4,
                'title' => 'permission_show',
            ],
            [
                'id'    => 5,
                'title' => 'permission_delete',
            ],
            [
                'id'    => 6,
                'title' => 'permission_access',
            ],
            [
                'id'    => 7,
                'title' => 'role_create',
            ],
            [
                'id'    => 8,
                'title' => 'role_edit',
            ],
            [
                'id'    => 9,
                'title' => 'role_show',
            ],
            [
                'id'    => 10,
                'title' => 'role_delete',
            ],
            [
                'id'    => 11,
                'title' => 'role_access',
            ],
            [
                'id'    => 12,
                'title' => 'user_create',
            ],
            [
                'id'    => 13,
                'title' => 'user_edit',
            ],
            [
                'id'    => 14,
                'title' => 'user_show',
            ],
            [
                'id'    => 15,
                'title' => 'user_delete',
            ],
            [
                'id'    => 16,
                'title' => 'user_access',
            ],
            [
                'id'    => 17,
                'title' => 'country_create',
            ],
            [
                'id'    => 18,
                'title' => 'country_edit',
            ],
            [
                'id'    => 19,
                'title' => 'country_show',
            ],
            [
                'id'    => 20,
                'title' => 'country_delete',
            ],
            [
                'id'    => 21,
                'title' => 'country_access',
            ],
            [
                'id'    => 22,
                'title' => 'register_create',
            ],
            [
                'id'    => 23,
                'title' => 'register_edit',
            ],
            [
                'id'    => 24,
                'title' => 'register_show',
            ],
            [
                'id'    => 25,
                'title' => 'register_delete',
            ],
            [
                'id'    => 26,
                'title' => 'register_access',
            ],
            [
                'id'    => 27,
                'title' => 'agency_role_create',
            ],
            [
                'id'    => 28,
                'title' => 'agency_role_edit',
            ],
            [
                'id'    => 29,
                'title' => 'agency_role_show',
            ],
            [
                'id'    => 30,
                'title' => 'agency_role_delete',
            ],
            [
                'id'    => 31,
                'title' => 'agency_role_access',
            ],
            [
                'id'    => 32,
                'title' => 'config_access',
            ],
            [
                'id'    => 33,
                'title' => 'qualification_create',
            ],
            [
                'id'    => 34,
                'title' => 'qualification_edit',
            ],
            [
                'id'    => 35,
                'title' => 'qualification_show',
            ],
            [
                'id'    => 36,
                'title' => 'qualification_delete',
            ],
            [
                'id'    => 37,
                'title' => 'qualification_access',
            ],
            [
                'id'    => 38,
                'title' => 'training_level_create',
            ],
            [
                'id'    => 39,
                'title' => 'training_level_edit',
            ],
            [
                'id'    => 40,
                'title' => 'training_level_show',
            ],
            [
                'id'    => 41,
                'title' => 'training_level_delete',
            ],
            [
                'id'    => 42,
                'title' => 'training_level_access',
            ],
            [
                'id'    => 43,
                'title' => 'relevant_training_create',
            ],
            [
                'id'    => 44,
                'title' => 'relevant_training_edit',
            ],
            [
                'id'    => 45,
                'title' => 'relevant_training_show',
            ],
            [
                'id'    => 46,
                'title' => 'relevant_training_delete',
            ],
            [
                'id'    => 47,
                'title' => 'relevant_training_access',
            ],
            [
                'id'    => 48,
                'title' => 'training_access',
            ],
            [
                'id'    => 49,
                'title' => 'psychosocial_experience_create',
            ],
            [
                'id'    => 50,
                'title' => 'psychosocial_experience_edit',
            ],
            [
                'id'    => 51,
                'title' => 'psychosocial_experience_show',
            ],
            [
                'id'    => 52,
                'title' => 'psychosocial_experience_delete',
            ],
            [
                'id'    => 53,
                'title' => 'psychosocial_experience_access',
            ],
            [
                'id'    => 54,
                'title' => 'emergency_logistic_create',
            ],
            [
                'id'    => 55,
                'title' => 'emergency_logistic_edit',
            ],
            [
                'id'    => 56,
                'title' => 'emergency_logistic_show',
            ],
            [
                'id'    => 57,
                'title' => 'emergency_logistic_delete',
            ],
            [
                'id'    => 58,
                'title' => 'emergency_logistic_access',
            ],
            [
                'id'    => 59,
                'title' => 'data_management_create',
            ],
            [
                'id'    => 60,
                'title' => 'data_management_edit',
            ],
            [
                'id'    => 61,
                'title' => 'data_management_show',
            ],
            [
                'id'    => 62,
                'title' => 'data_management_delete',
            ],
            [
                'id'    => 63,
                'title' => 'data_management_access',
            ],
            [
                'id'    => 64,
                'title' => 'experience_in_epidemiology_create',
            ],
            [
                'id'    => 65,
                'title' => 'experience_in_epidemiology_edit',
            ],
            [
                'id'    => 66,
                'title' => 'experience_in_epidemiology_show',
            ],
            [
                'id'    => 67,
                'title' => 'experience_in_epidemiology_delete',
            ],
            [
                'id'    => 68,
                'title' => 'experience_in_epidemiology_access',
            ],
            [
                'id'    => 69,
                'title' => 'case_management_create',
            ],
            [
                'id'    => 70,
                'title' => 'case_management_edit',
            ],
            [
                'id'    => 71,
                'title' => 'case_management_show',
            ],
            [
                'id'    => 72,
                'title' => 'case_management_delete',
            ],
            [
                'id'    => 73,
                'title' => 'case_management_access',
            ],
            [
                'id'    => 74,
                'title' => 'nutrition_experience_create',
            ],
            [
                'id'    => 75,
                'title' => 'nutrition_experience_edit',
            ],
            [
                'id'    => 76,
                'title' => 'nutrition_experience_show',
            ],
            [
                'id'    => 77,
                'title' => 'nutrition_experience_delete',
            ],
            [
                'id'    => 78,
                'title' => 'nutrition_experience_access',
            ],
            [
                'id'    => 79,
                'title' => 'readiness_and_rt_member_create',
            ],
            [
                'id'    => 80,
                'title' => 'readiness_and_rt_member_edit',
            ],
            [
                'id'    => 81,
                'title' => 'readiness_and_rt_member_show',
            ],
            [
                'id'    => 82,
                'title' => 'readiness_and_rt_member_delete',
            ],
            [
                'id'    => 83,
                'title' => 'readiness_and_rt_member_access',
            ],
            [
                'id'    => 84,
                'title' => 'vaccinationation_create',
            ],
            [
                'id'    => 85,
                'title' => 'vaccinationation_edit',
            ],
            [
                'id'    => 86,
                'title' => 'vaccinationation_show',
            ],
            [
                'id'    => 87,
                'title' => 'vaccinationation_delete',
            ],
            [
                'id'    => 88,
                'title' => 'vaccinationation_access',
            ],
            [
                'id'    => 89,
                'title' => 'rrt_training_create',
            ],
            [
                'id'    => 90,
                'title' => 'rrt_training_edit',
            ],
            [
                'id'    => 91,
                'title' => 'rrt_training_show',
            ],
            [
                'id'    => 92,
                'title' => 'rrt_training_delete',
            ],
            [
                'id'    => 93,
                'title' => 'rrt_training_access',
            ],
            [
                'id'    => 94,
                'title' => 'deployment_opportunity_create',
            ],
            [
                'id'    => 95,
                'title' => 'deployment_opportunity_edit',
            ],
            [
                'id'    => 96,
                'title' => 'deployment_opportunity_show',
            ],
            [
                'id'    => 97,
                'title' => 'deployment_opportunity_delete',
            ],
            [
                'id'    => 98,
                'title' => 'deployment_opportunity_access',
            ],
            [
                'id'    => 99,
                'title' => 'region_create',
            ],
            [
                'id'    => 100,
                'title' => 'region_edit',
            ],
            [
                'id'    => 101,
                'title' => 'region_show',
            ],
            [
                'id'    => 102,
                'title' => 'region_delete',
            ],
            [
                'id'    => 103,
                'title' => 'region_access',
            ],
            [
                'id'    => 104,
                'title' => 'laboratory_experience_create',
            ],
            [
                'id'    => 105,
                'title' => 'laboratory_experience_edit',
            ],
            [
                'id'    => 106,
                'title' => 'laboratory_experience_show',
            ],
            [
                'id'    => 107,
                'title' => 'laboratory_experience_delete',
            ],
            [
                'id'    => 108,
                'title' => 'laboratory_experience_access',
            ],
            [
                'id'    => 109,
                'title' => 'infection_prevent_control_create',
            ],
            [
                'id'    => 110,
                'title' => 'infection_prevent_control_edit',
            ],
            [
                'id'    => 111,
                'title' => 'infection_prevent_control_show',
            ],
            [
                'id'    => 112,
                'title' => 'infection_prevent_control_delete',
            ],
            [
                'id'    => 113,
                'title' => 'infection_prevent_control_access',
            ],
            [
                'id'    => 114,
                'title' => 'water_sanitation_hygiene_wash_create',
            ],
            [
                'id'    => 115,
                'title' => 'water_sanitation_hygiene_wash_edit',
            ],
            [
                'id'    => 116,
                'title' => 'water_sanitation_hygiene_wash_show',
            ],
            [
                'id'    => 117,
                'title' => 'water_sanitation_hygiene_wash_delete',
            ],
            [
                'id'    => 118,
                'title' => 'water_sanitation_hygiene_wash_access',
            ],
            [
                'id'    => 119,
                'title' => 'emergency_response_create',
            ],
            [
                'id'    => 120,
                'title' => 'emergency_response_edit',
            ],
            [
                'id'    => 121,
                'title' => 'emergency_response_show',
            ],
            [
                'id'    => 122,
                'title' => 'emergency_response_delete',
            ],
            [
                'id'    => 123,
                'title' => 'emergency_response_access',
            ],
            [
                'id'    => 124,
                'title' => 'disease_emergency_create',
            ],
            [
                'id'    => 125,
                'title' => 'disease_emergency_edit',
            ],
            [
                'id'    => 126,
                'title' => 'disease_emergency_show',
            ],
            [
                'id'    => 127,
                'title' => 'disease_emergency_delete',
            ],
            [
                'id'    => 128,
                'title' => 'disease_emergency_access',
            ],
            [
                'id'    => 129,
                'title' => 'hazardous_materials_experience_create',
            ],
            [
                'id'    => 130,
                'title' => 'hazardous_materials_experience_edit',
            ],
            [
                'id'    => 131,
                'title' => 'hazardous_materials_experience_show',
            ],
            [
                'id'    => 132,
                'title' => 'hazardous_materials_experience_delete',
            ],
            [
                'id'    => 133,
                'title' => 'hazardous_materials_experience_access',
            ],
            [
                'id'    => 134,
                'title' => 'security_manager_experience_create',
            ],
            [
                'id'    => 135,
                'title' => 'security_manager_experience_edit',
            ],
            [
                'id'    => 136,
                'title' => 'security_manager_experience_show',
            ],
            [
                'id'    => 137,
                'title' => 'security_manager_experience_delete',
            ],
            [
                'id'    => 138,
                'title' => 'security_manager_experience_access',
            ],
            [
                'id'    => 139,
                'title' => 'month_create',
            ],
            [
                'id'    => 140,
                'title' => 'month_edit',
            ],
            [
                'id'    => 141,
                'title' => 'month_show',
            ],
            [
                'id'    => 142,
                'title' => 'month_delete',
            ],
            [
                'id'    => 143,
                'title' => 'month_access',
            ],
            [
                'id'    => 144,
                'title' => 'requester_create',
            ],
            [
                'id'    => 145,
                'title' => 'requester_edit',
            ],
            [
                'id'    => 146,
                'title' => 'requester_show',
            ],
            [
                'id'    => 147,
                'title' => 'requester_delete',
            ],
            [
                'id'    => 148,
                'title' => 'requester_access',
            ],
            [
                'id'    => 149,
                'title' => 'request_type_create',
            ],
            [
                'id'    => 150,
                'title' => 'request_type_edit',
            ],
            [
                'id'    => 151,
                'title' => 'request_type_show',
            ],
            [
                'id'    => 152,
                'title' => 'request_type_delete',
            ],
            [
                'id'    => 153,
                'title' => 'request_type_access',
            ],
            [
                'id'    => 154,
                'title' => 'rrt_role_create',
            ],
            [
                'id'    => 155,
                'title' => 'rrt_role_edit',
            ],
            [
                'id'    => 156,
                'title' => 'rrt_role_show',
            ],
            [
                'id'    => 157,
                'title' => 'rrt_role_delete',
            ],
            [
                'id'    => 158,
                'title' => 'rrt_role_access',
            ],
            [
                'id'    => 159,
                'title' => 'request_database_create',
            ],
            [
                'id'    => 160,
                'title' => 'request_database_edit',
            ],
            [
                'id'    => 161,
                'title' => 'request_database_show',
            ],
            [
                'id'    => 162,
                'title' => 'request_database_delete',
            ],
            [
                'id'    => 163,
                'title' => 'request_database_access',
            ],
            [
                'id'    => 164,
                'title' => 'profile_password_edit',
            ],
        ];

        Permission::insert($permissions);
    }
}
