<?php

return [
    'accepted'         => 'Vous devez accepter :attribute.',
    'active_url'       => ':attribute n\'est pas une URL valide.',
    'after'            => ':attribute doit être une date ultérieure à :date.',
    'after_or_equal'   => ':attribute doit être une date postérieure ou égale :date.',
    'alpha'            => ':attribute ne peut contenir que des lettres.',
    'alpha_dash'       => ':attribute ne peut contenir que des lettres, chiffres et tirets.',
    'alpha_num'        => ':attribute ne peut contenir que des lettres et chiffres.',
    'latin'            => ':attribute doit seulement contenir des lettres de l\'alphabet Latin ISO basic.',
    'latin_dash_space' => ':attribute doit seulement contenir des lettres de l\'alphabet Latin ISO basic, nombres, tiret, trait d\'union et espaces.',
    'array'            => ':attribute doit être un tableau.',
    'before'           => ':attribute doit être une date antérieure à :date.',
    'before_or_equal'  => ':attribute doit être une date postérieure ou égale  à :date.',
    'between'          => [
        'numeric' => ':attribute doit être compris entre :min et :max.',
        'file'    => ':attribute doit être compris entre :min et :max kilobytes.',
        'string'  => ':attribute doit être compris en :min et :max caractères.',
        'array'   => ':attribute doit être compris en :min et :max items.',
    ],
    'boolean'          => ':attribute doit être \"Vrai\" ou \"Faux\".',
    'confirmed'        => 'La confirmation :attribute ne correspond pas.',
    'current_password' => 'Le mot de passe est incorrect.',
    'date'             => ':attribute n\'est pas une date valide.',
    'date_equals'      => ':attribut doit être une date égale à :date.',
    'date_format'      => ':attribute ne correspond pas au format :format.',
    'different'        => ':attribute et :other doivent être différents.',
    'digits'           => ':attribute doit un nombre de type :digit.',
    'digits_between'   => 'La valeur du nombre :attribute doit être comprise entre :min et :max.',
    'dimensions'       => 'Les dimensions de l\'image :attribute ne sont pas valides.',
    'distinct'         => 'Le champ :attribute comporte une valeur en double',
    'email'            => ':attribute doit être une adresse e-mail valide',
    'ends_with'        => ':attribut doit se terminer par l\'un des éléments following:: valeurs.',
    'exists'           => ':attribute n\'est pas valide',
    'file'             => ':attribute doit être un fichier',
    'filled'           => 'Le champ :attribute est requis',
    'gt'               => [
        'numeric' => ':attribute doit être plus grand que :value.',
        'file'    => ':attribute doit être plus grand que :value kilobytes.',
        'string'  => ':attribute doit être plus grand que :value caractères.',
        'array'   => ':attribute doit avoir plus que :value items.',
    ],
    'gte' => [
        'numeric' => ':attribute doit être plus grand que ou égal à :value.',
        'file'    => ':attribute doit être plus grand que ou égal à :value kilobytes.',
        'string'  => ':attribute doit être plus grand que ou égal à :value caractères.',
        'array'   => ':attribute doit avoir :value items ou plus',
    ],
    'image'    => ':attribute doit être une image',
    'in'       => 'La selection :attribute est invalide',
    'in_array' => ':attribute champ n\'existe pas dans :other',
    'integer'  => ':attribute doit être un entier.',
    'ip'       => ':attribute doit être une ip valide',
    'ipv4'     => ':attribute doit être une ip V4 valide',
    'ipv6'     => ':attribute doit être une ip V6 valide',
    'json'     => ':attribute doit être une chaine de caractère JSON valide',
    'lt'       => [
        'numeric' => ':attribute doit être moins que :value.',
        'file'    => ':attribute doit être moins que :value kilobytes.',
        'string'  => ':attribute doit être moins que :value characters.',
        'array'   => ':attribute doit avoir moins que :value items.',
    ],
    'lte' => [
        'numeric' => ':attribute doit être moins que ou égal :value.',
        'file'    => ':attribute doit être moins que ou égal :value kilobytes.',
        'string'  => ':attribute doit être moins que ou égal :value characters.',
        'array'   => ':attribute ne doit pas avoir plus que :value items.',
    ],
    'max' => [
        'numeric' => ':attribute ne peut pas être plus grand que :max.',
        'file'    => ':attribute ne doit pas être plus grand que :max kilobytes.',
        'string'  => ':attribute ne peut pas être plus grand que :max characters.',
        'array'   => ':attribute ne doit pas avoir plus que :max items.',
    ],
    'mimes'     => ':attribute doit être un fichier de type: :values.',
    'mimetypes' => ':attribute doit être un fichier de type: :values.',
    'min'       => [
        'numeric' => ':attribute doit être au minimum :min.',
        'file'    => ':attribute doit être au minimum :min kilobytes.',
        'string'  => ':attribute doit être au moins :min caractères.',
        'array'   => ':attribute doit avoir au minimum :min items.',
    ],
    'not_in'               => 'La selection :attribute est invalide.',
    'not_regex'            => 'Le format :attribute est invalide.',
    'numeric'              => ':attribute doit être un nombre',
    'password'             => 'Le mot de passe est incorrect',
    'present'              => ':attribute champ doit être présent.',
    'regex'                => ':attribute n\'est pas au bon format',
    'required'             => ':attribute champ est requis.',
    'required_if'          => ':attribute champ est requis lorsque :other est :value.',
    'required_unless'      => ':attribute champ est requis à moins que :other est dans :values.',
    'required_with'        => ':attribute champ est requis lorsque :values est présent.',
    'required_with_all'    => ':attribute champ est requis lorsque :values est présent.',
    'required_without'     => ':attribute champ est requis lorsque :values n\'est pas présent.',
    'required_without_all' => ':attribute champ est requis lorsque aucun de :values sont présents',
    'same'                 => ':attribute et :other doivent correspondre.',
    'size'                 => [
        'numeric' => ':attribute doit être :size.',
        'file'    => ':attribute doit être :size kilobytes.',
        'string'  => ':attribute doit être de :size caractères.',
        'array'   => ':attribute doit contenir :size éléments.',
    ],
    'starts_with' => ':attribut doit commencer par l\'un des éléments suivant :values.',
    'string'      => ':attribute doit être une chaine de caractères',
    'timezone'    => ':attribute doit être une zone valide.',
    'unique'      => ':attribute a déjà été pris.',
    'uploaded'    => ':attribute échec de l\'upload',
    'url'         => ':attribute au format invalide',
    'uuid'        => ':attribut doit être un UUID valide.',
    'custom'      => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],
    'reserved_word'                  => ':attribute contient un mot réservé.',
    'dont_allow_first_letter_number' => 'Le champ  \":input\"  ne peut pas commencer par un chiffre',
    'exceeds_maximum_number'         => 'L\'attribut sélectionné n\'est pas valide.',
    'db_column'                      => ':attribute doit seulement contenir des lettres de l\'alphabet Latin ISO basic, nombres, tiret et ne peut commencer par un nombre.',
    'attributes'                     => [],
];
