@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.edit') }} {{ trans('cruds.caseManagement.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.case-managements.update", [$caseManagement->id]) }}" enctype="multipart/form-data">
                        @method('PUT')
                        @csrf
                        <div class="form-group {{ $errors->has('physician') ? 'has-error' : '' }}">
                            <label for="physician_id">{{ trans('cruds.caseManagement.fields.physician') }}</label>
                            <select class="form-control select2" name="physician_id" id="physician_id">
                                @foreach($physicians as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('physician_id') ? old('physician_id') : $caseManagement->physician->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('physician'))
                                <span class="help-block" role="alert">{{ $errors->first('physician') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.physician_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('case_management_specialty') ? 'has-error' : '' }}">
                            <label for="case_management_specialty">{{ trans('cruds.caseManagement.fields.case_management_specialty') }}</label>
                            <textarea class="form-control ckeditor" name="case_management_specialty" id="case_management_specialty">{!! old('case_management_specialty', $caseManagement->case_management_specialty) !!}</textarea>
                            @if($errors->has('case_management_specialty'))
                                <span class="help-block" role="alert">{{ $errors->first('case_management_specialty') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.case_management_specialty_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('nurse') ? 'has-error' : '' }}">
                            <label for="nurse_id">{{ trans('cruds.caseManagement.fields.nurse') }}</label>
                            <select class="form-control select2" name="nurse_id" id="nurse_id">
                                @foreach($nurses as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('nurse_id') ? old('nurse_id') : $caseManagement->nurse->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('nurse'))
                                <span class="help-block" role="alert">{{ $errors->first('nurse') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.nurse_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('nurse_speciality') ? 'has-error' : '' }}">
                            <label for="nurse_speciality">{{ trans('cruds.caseManagement.fields.nurse_speciality') }}</label>
                            <textarea class="form-control ckeditor" name="nurse_speciality" id="nurse_speciality">{!! old('nurse_speciality', $caseManagement->nurse_speciality) !!}</textarea>
                            @if($errors->has('nurse_speciality'))
                                <span class="help-block" role="alert">{{ $errors->first('nurse_speciality') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.nurse_speciality_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('paramedic') ? 'has-error' : '' }}">
                            <label for="paramedic_id">{{ trans('cruds.caseManagement.fields.paramedic') }}</label>
                            <select class="form-control select2" name="paramedic_id" id="paramedic_id">
                                @foreach($paramedics as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('paramedic_id') ? old('paramedic_id') : $caseManagement->paramedic->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('paramedic'))
                                <span class="help-block" role="alert">{{ $errors->first('paramedic') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.paramedic_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('paramedic_specialty') ? 'has-error' : '' }}">
                            <label for="paramedic_specialty">{{ trans('cruds.caseManagement.fields.paramedic_specialty') }}</label>
                            <textarea class="form-control ckeditor" name="paramedic_specialty" id="paramedic_specialty">{!! old('paramedic_specialty', $caseManagement->paramedic_specialty) !!}</textarea>
                            @if($errors->has('paramedic_specialty'))
                                <span class="help-block" role="alert">{{ $errors->first('paramedic_specialty') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.paramedic_specialty_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('rapid_risk_assessments') ? 'has-error' : '' }}">
                            <label for="rapid_risk_assessments_id">{{ trans('cruds.caseManagement.fields.rapid_risk_assessments') }}</label>
                            <select class="form-control select2" name="rapid_risk_assessments_id" id="rapid_risk_assessments_id">
                                @foreach($rapid_risk_assessments as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('rapid_risk_assessments_id') ? old('rapid_risk_assessments_id') : $caseManagement->rapid_risk_assessments->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('rapid_risk_assessments'))
                                <span class="help-block" role="alert">{{ $errors->first('rapid_risk_assessments') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.rapid_risk_assessments_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('clinical_management_advice_and_recommendations') ? 'has-error' : '' }}">
                            <label for="clinical_management_advice_and_recommendations_id">{{ trans('cruds.caseManagement.fields.clinical_management_advice_and_recommendations') }}</label>
                            <select class="form-control select2" name="clinical_management_advice_and_recommendations_id" id="clinical_management_advice_and_recommendations_id">
                                @foreach($clinical_management_advice_and_recommendations as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('clinical_management_advice_and_recommendations_id') ? old('clinical_management_advice_and_recommendations_id') : $caseManagement->clinical_management_advice_and_recommendations->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('clinical_management_advice_and_recommendations'))
                                <span class="help-block" role="alert">{{ $errors->first('clinical_management_advice_and_recommendations') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.clinical_management_advice_and_recommendations_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('icp_in_the_care_facility') ? 'has-error' : '' }}">
                            <label for="icp_in_the_care_facility_id">{{ trans('cruds.caseManagement.fields.icp_in_the_care_facility') }}</label>
                            <select class="form-control select2" name="icp_in_the_care_facility_id" id="icp_in_the_care_facility_id">
                                @foreach($icp_in_the_care_facilities as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('icp_in_the_care_facility_id') ? old('icp_in_the_care_facility_id') : $caseManagement->icp_in_the_care_facility->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('icp_in_the_care_facility'))
                                <span class="help-block" role="alert">{{ $errors->first('icp_in_the_care_facility') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.icp_in_the_care_facility_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('monitoring_system') ? 'has-error' : '' }}">
                            <label for="monitoring_system_id">{{ trans('cruds.caseManagement.fields.monitoring_system') }}</label>
                            <select class="form-control select2" name="monitoring_system_id" id="monitoring_system_id">
                                @foreach($monitoring_systems as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('monitoring_system_id') ? old('monitoring_system_id') : $caseManagement->monitoring_system->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('monitoring_system'))
                                <span class="help-block" role="alert">{{ $errors->first('monitoring_system') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.monitoring_system_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('epidemic_survey') ? 'has-error' : '' }}">
                            <label for="epidemic_survey_id">{{ trans('cruds.caseManagement.fields.epidemic_survey') }}</label>
                            <select class="form-control select2" name="epidemic_survey_id" id="epidemic_survey_id">
                                @foreach($epidemic_surveys as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('epidemic_survey_id') ? old('epidemic_survey_id') : $caseManagement->epidemic_survey->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('epidemic_survey'))
                                <span class="help-block" role="alert">{{ $errors->first('epidemic_survey') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.epidemic_survey_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('determination_of_disease_status') ? 'has-error' : '' }}">
                            <label for="determination_of_disease_status_id">{{ trans('cruds.caseManagement.fields.determination_of_disease_status') }}</label>
                            <select class="form-control select2" name="determination_of_disease_status_id" id="determination_of_disease_status_id">
                                @foreach($determination_of_disease_statuses as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('determination_of_disease_status_id') ? old('determination_of_disease_status_id') : $caseManagement->determination_of_disease_status->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('determination_of_disease_status'))
                                <span class="help-block" role="alert">{{ $errors->first('determination_of_disease_status') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.determination_of_disease_status_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('epidemiological_studies') ? 'has-error' : '' }}">
                            <label for="epidemiological_studies_id">{{ trans('cruds.caseManagement.fields.epidemiological_studies') }}</label>
                            <select class="form-control select2" name="epidemiological_studies_id" id="epidemiological_studies_id">
                                @foreach($epidemiological_studies as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('epidemiological_studies_id') ? old('epidemiological_studies_id') : $caseManagement->epidemiological_studies->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('epidemiological_studies'))
                                <span class="help-block" role="alert">{{ $errors->first('epidemiological_studies') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.epidemiological_studies_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('study_protocols') ? 'has-error' : '' }}">
                            <label for="study_protocols_id">{{ trans('cruds.caseManagement.fields.study_protocols') }}</label>
                            <select class="form-control select2" name="study_protocols_id" id="study_protocols_id">
                                @foreach($study_protocols as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('study_protocols_id') ? old('study_protocols_id') : $caseManagement->study_protocols->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('study_protocols'))
                                <span class="help-block" role="alert">{{ $errors->first('study_protocols') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.study_protocols_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('data_collection_tools') ? 'has-error' : '' }}">
                            <label for="data_collection_tools_id">{{ trans('cruds.caseManagement.fields.data_collection_tools') }}</label>
                            <select class="form-control select2" name="data_collection_tools_id" id="data_collection_tools_id">
                                @foreach($data_collection_tools as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('data_collection_tools_id') ? old('data_collection_tools_id') : $caseManagement->data_collection_tools->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('data_collection_tools'))
                                <span class="help-block" role="alert">{{ $errors->first('data_collection_tools') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.data_collection_tools_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('user') ? 'has-error' : '' }}">
                            <label for="user_id">{{ trans('cruds.caseManagement.fields.user') }}</label>
                            <select class="form-control select2" name="user_id" id="user_id">
                                @foreach($users as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('user_id') ? old('user_id') : $caseManagement->user->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('user'))
                                <span class="help-block" role="alert">{{ $errors->first('user') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.caseManagement.fields.user_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    $(document).ready(function () {
  function SimpleUploadAdapter(editor) {
    editor.plugins.get('FileRepository').createUploadAdapter = function(loader) {
      return {
        upload: function() {
          return loader.file
            .then(function (file) {
              return new Promise(function(resolve, reject) {
                // Init request
                var xhr = new XMLHttpRequest();
                xhr.open('POST', '{{ route('admin.case-managements.storeCKEditorImages') }}', true);
                xhr.setRequestHeader('x-csrf-token', window._token);
                xhr.setRequestHeader('Accept', 'application/json');
                xhr.responseType = 'json';

                // Init listeners
                var genericErrorText = `Couldn't upload file: ${ file.name }.`;
                xhr.addEventListener('error', function() { reject(genericErrorText) });
                xhr.addEventListener('abort', function() { reject() });
                xhr.addEventListener('load', function() {
                  var response = xhr.response;

                  if (!response || xhr.status !== 201) {
                    return reject(response && response.message ? `${genericErrorText}\n${xhr.status} ${response.message}` : `${genericErrorText}\n ${xhr.status} ${xhr.statusText}`);
                  }

                  $('form').append('<input type="hidden" name="ck-media[]" value="' + response.id + '">');

                  resolve({ default: response.url });
                });

                if (xhr.upload) {
                  xhr.upload.addEventListener('progress', function(e) {
                    if (e.lengthComputable) {
                      loader.uploadTotal = e.total;
                      loader.uploaded = e.loaded;
                    }
                  });
                }

                // Send request
                var data = new FormData();
                data.append('upload', file);
                data.append('crud_id', '{{ $caseManagement->id ?? 0 }}');
                xhr.send(data);
              });
            })
        }
      };
    }
  }

  var allEditors = document.querySelectorAll('.ckeditor');
  for (var i = 0; i < allEditors.length; ++i) {
    ClassicEditor.create(
      allEditors[i], {
        extraPlugins: [SimpleUploadAdapter]
      }
    );
  }
});
</script>

@endsection