@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.show') }} {{ trans('cruds.dataManagement.title') }}
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.data-managements.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                        <table class="table table-bordered table-striped">
                            <tbody>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.id') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->id }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.quantitative_data') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->quantitative_data->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.excel') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->excel->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.access') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->access->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.sas') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->sas->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.spss') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->spss->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.status') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->status->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.r') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->r->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.epi_info') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->epi_info->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.monitoring_database') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->monitoring_database->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.qualitative_data') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->qualitative_data->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.data_visualization') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->data_visualization->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.geographic_information_system_gis') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->geographic_information_system_gis->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.please_specify_other_software') }}
                                    </th>
                                    <td>
                                        {!! $dataManagement->please_specify_other_software !!}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.dataManagement.fields.user') }}
                                    </th>
                                    <td>
                                        {{ $dataManagement->user->name ?? '' }}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.data-managements.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                    </div>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection