@extends('layouts.admin')
@section('content')
<div class="content">
    @can('deployment_opportunity_create')
        <div style="margin-bottom: 10px;" class="row">
            <div class="col-lg-12">
                <a class="btn btn-success" href="{{ route('admin.deployment-opportunities.create') }}">
                    {{ trans('global.add') }} {{ trans('cruds.deploymentOpportunity.title_singular') }}
                </a>
            </div>
        </div>
    @endcan
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('cruds.deploymentOpportunity.title_singular') }} {{ trans('global.list') }}
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class=" table table-bordered table-striped table-hover datatable datatable-DeploymentOpportunity">
                            <thead>
                                <tr>
                                    <th width="10">

                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.id') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.name') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.region') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.posting_number') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.logistics_administrator') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.event_name') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.deployer_position_title') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.expected_deployment_start_date') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.actual_deployment_start_date') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.expected_deployment_end_date') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.actual_deployment_end_date') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.number_of_deployers') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.location_city') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.location_province_region') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.deploymentOpportunity.fields.request') }}
                                    </th>
                                    <th>
                                        &nbsp;
                                    </th>
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                                    </td>
                                    <td>
                                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($regions as $key => $item)
                                                <option value="{{ $item->name }}">{{ $item->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($users as $key => $item)
                                                <option value="{{ $item->name }}">{{ $item->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                                    </td>
                                    <td>
                                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                                    </td>
                                    <td>
                                    </td>
                                    <td>
                                    </td>
                                    <td>
                                    </td>
                                    <td>
                                    </td>
                                    <td>
                                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                                    </td>
                                    <td>
                                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($regions as $key => $item)
                                                <option value="{{ $item->name }}">{{ $item->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($request_databases as $key => $item)
                                                <option value="{{ $item->request_date }}">{{ $item->request_date }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                    </td>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($deploymentOpportunities as $key => $deploymentOpportunity)
                                    <tr data-entry-id="{{ $deploymentOpportunity->id }}">
                                        <td>

                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->id ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->name ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->region->name ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->posting_number ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->logistics_administrator->name ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->event_name ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->deployer_position_title ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->expected_deployment_start_date ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->actual_deployment_start_date ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->expected_deployment_end_date ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->actual_deployment_end_date ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->number_of_deployers ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->location_city ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->location_province_region->name ?? '' }}
                                        </td>
                                        <td>
                                            {{ $deploymentOpportunity->request->request_date ?? '' }}
                                        </td>
                                        <td>
                                            @can('deployment_opportunity_show')
                                                <a class="btn btn-xs btn-primary" href="{{ route('admin.deployment-opportunities.show', $deploymentOpportunity->id) }}">
                                                    {{ trans('global.view') }}
                                                </a>
                                            @endcan

                                            @can('deployment_opportunity_edit')
                                                <a class="btn btn-xs btn-info" href="{{ route('admin.deployment-opportunities.edit', $deploymentOpportunity->id) }}">
                                                    {{ trans('global.edit') }}
                                                </a>
                                            @endcan

                                            @can('deployment_opportunity_delete')
                                                <form action="{{ route('admin.deployment-opportunities.destroy', $deploymentOpportunity->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                                    <input type="hidden" name="_method" value="DELETE">
                                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                    <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                                </form>
                                            @endcan

                                        </td>

                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('deployment_opportunity_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.deployment-opportunities.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-DeploymentOpportunity:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
let visibleColumnsIndexes = null;
$('.datatable thead').on('input', '.search', function () {
      let strict = $(this).attr('strict') || false
      let value = strict && this.value ? "^" + this.value + "$" : this.value

      let index = $(this).parent().index()
      if (visibleColumnsIndexes !== null) {
        index = visibleColumnsIndexes[index]
      }

      table
        .column(index)
        .search(value, strict)
        .draw()
  });
table.on('column-visibility.dt', function(e, settings, column, state) {
      visibleColumnsIndexes = []
      table.columns(":visible").every(function(colIdx) {
          visibleColumnsIndexes.push(colIdx);
      });
  })
})

</script>
@endsection