@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.edit') }} {{ trans('cruds.emergencyLogistic.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.emergency-logistics.update", [$emergencyLogistic->id]) }}" enctype="multipart/form-data">
                        @method('PUT')
                        @csrf
                        <div class="form-group {{ $errors->has('shipping_and_receiving') ? 'has-error' : '' }}">
                            <label for="shipping_and_receiving_id">{{ trans('cruds.emergencyLogistic.fields.shipping_and_receiving') }}</label>
                            <select class="form-control select2" name="shipping_and_receiving_id" id="shipping_and_receiving_id">
                                @foreach($shipping_and_receivings as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('shipping_and_receiving_id') ? old('shipping_and_receiving_id') : $emergencyLogistic->shipping_and_receiving->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('shipping_and_receiving'))
                                <span class="help-block" role="alert">{{ $errors->first('shipping_and_receiving') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.emergencyLogistic.fields.shipping_and_receiving_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('sample_packaging') ? 'has-error' : '' }}">
                            <label for="sample_packaging_id">{{ trans('cruds.emergencyLogistic.fields.sample_packaging') }}</label>
                            <select class="form-control select2" name="sample_packaging_id" id="sample_packaging_id">
                                @foreach($sample_packagings as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('sample_packaging_id') ? old('sample_packaging_id') : $emergencyLogistic->sample_packaging->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('sample_packaging'))
                                <span class="help-block" role="alert">{{ $errors->first('sample_packaging') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.emergencyLogistic.fields.sample_packaging_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('inventory_management') ? 'has-error' : '' }}">
                            <label for="inventory_management_id">{{ trans('cruds.emergencyLogistic.fields.inventory_management') }}</label>
                            <select class="form-control select2" name="inventory_management_id" id="inventory_management_id">
                                @foreach($inventory_managements as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('inventory_management_id') ? old('inventory_management_id') : $emergencyLogistic->inventory_management->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('inventory_management'))
                                <span class="help-block" role="alert">{{ $errors->first('inventory_management') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.emergencyLogistic.fields.inventory_management_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('travel_coordinator') ? 'has-error' : '' }}">
                            <label for="travel_coordinator_id">{{ trans('cruds.emergencyLogistic.fields.travel_coordinator') }}</label>
                            <select class="form-control select2" name="travel_coordinator_id" id="travel_coordinator_id">
                                @foreach($travel_coordinators as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('travel_coordinator_id') ? old('travel_coordinator_id') : $emergencyLogistic->travel_coordinator->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('travel_coordinator'))
                                <span class="help-block" role="alert">{{ $errors->first('travel_coordinator') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.emergencyLogistic.fields.travel_coordinator_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('fleet_management') ? 'has-error' : '' }}">
                            <label for="fleet_management_id">{{ trans('cruds.emergencyLogistic.fields.fleet_management') }}</label>
                            <select class="form-control select2" name="fleet_management_id" id="fleet_management_id">
                                @foreach($fleet_managements as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('fleet_management_id') ? old('fleet_management_id') : $emergencyLogistic->fleet_management->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('fleet_management'))
                                <span class="help-block" role="alert">{{ $errors->first('fleet_management') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.emergencyLogistic.fields.fleet_management_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('moving_resources_to_the_field') ? 'has-error' : '' }}">
                            <label for="moving_resources_to_the_field_id">{{ trans('cruds.emergencyLogistic.fields.moving_resources_to_the_field') }}</label>
                            <select class="form-control select2" name="moving_resources_to_the_field_id" id="moving_resources_to_the_field_id">
                                @foreach($moving_resources_to_the_fields as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('moving_resources_to_the_field_id') ? old('moving_resources_to_the_field_id') : $emergencyLogistic->moving_resources_to_the_field->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('moving_resources_to_the_field'))
                                <span class="help-block" role="alert">{{ $errors->first('moving_resources_to_the_field') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.emergencyLogistic.fields.moving_resources_to_the_field_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('deployer_training_resources') ? 'has-error' : '' }}">
                            <label for="deployer_training_resources_id">{{ trans('cruds.emergencyLogistic.fields.deployer_training_resources') }}</label>
                            <select class="form-control select2" name="deployer_training_resources_id" id="deployer_training_resources_id">
                                @foreach($deployer_training_resources as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('deployer_training_resources_id') ? old('deployer_training_resources_id') : $emergencyLogistic->deployer_training_resources->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('deployer_training_resources'))
                                <span class="help-block" role="alert">{{ $errors->first('deployer_training_resources') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.emergencyLogistic.fields.deployer_training_resources_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('eoc_logistics_emergency_operations_center') ? 'has-error' : '' }}">
                            <label for="eoc_logistics_emergency_operations_center_id">{{ trans('cruds.emergencyLogistic.fields.eoc_logistics_emergency_operations_center') }}</label>
                            <select class="form-control select2" name="eoc_logistics_emergency_operations_center_id" id="eoc_logistics_emergency_operations_center_id">
                                @foreach($eoc_logistics_emergency_operations_centers as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('eoc_logistics_emergency_operations_center_id') ? old('eoc_logistics_emergency_operations_center_id') : $emergencyLogistic->eoc_logistics_emergency_operations_center->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('eoc_logistics_emergency_operations_center'))
                                <span class="help-block" role="alert">{{ $errors->first('eoc_logistics_emergency_operations_center') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.emergencyLogistic.fields.eoc_logistics_emergency_operations_center_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('user') ? 'has-error' : '' }}">
                            <label for="user_id">{{ trans('cruds.emergencyLogistic.fields.user') }}</label>
                            <select class="form-control select2" name="user_id" id="user_id">
                                @foreach($users as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('user_id') ? old('user_id') : $emergencyLogistic->user->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('user'))
                                <span class="help-block" role="alert">{{ $errors->first('user') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.emergencyLogistic.fields.user_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection