@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.create') }} {{ trans('cruds.experienceInEpidemiology.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.experience-in-epidemiologies.store") }}" enctype="multipart/form-data">
                        @csrf
                        <div class="form-group {{ $errors->has('rapid_risk_assessments') ? 'has-error' : '' }}">
                            <label for="rapid_risk_assessments_id">{{ trans('cruds.experienceInEpidemiology.fields.rapid_risk_assessments') }}</label>
                            <select class="form-control select2" name="rapid_risk_assessments_id" id="rapid_risk_assessments_id">
                                @foreach($rapid_risk_assessments as $id => $entry)
                                    <option value="{{ $id }}" {{ old('rapid_risk_assessments_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('rapid_risk_assessments'))
                                <span class="help-block" role="alert">{{ $errors->first('rapid_risk_assessments') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.rapid_risk_assessments_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('monitoring_system') ? 'has-error' : '' }}">
                            <label for="monitoring_system_id">{{ trans('cruds.experienceInEpidemiology.fields.monitoring_system') }}</label>
                            <select class="form-control select2" name="monitoring_system_id" id="monitoring_system_id">
                                @foreach($monitoring_systems as $id => $entry)
                                    <option value="{{ $id }}" {{ old('monitoring_system_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('monitoring_system'))
                                <span class="help-block" role="alert">{{ $errors->first('monitoring_system') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.monitoring_system_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('epidemic_survey') ? 'has-error' : '' }}">
                            <label for="epidemic_survey_id">{{ trans('cruds.experienceInEpidemiology.fields.epidemic_survey') }}</label>
                            <select class="form-control select2" name="epidemic_survey_id" id="epidemic_survey_id">
                                @foreach($epidemic_surveys as $id => $entry)
                                    <option value="{{ $id }}" {{ old('epidemic_survey_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('epidemic_survey'))
                                <span class="help-block" role="alert">{{ $errors->first('epidemic_survey') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.epidemic_survey_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('determination_of_disease_status') ? 'has-error' : '' }}">
                            <label for="determination_of_disease_status_id">{{ trans('cruds.experienceInEpidemiology.fields.determination_of_disease_status') }}</label>
                            <select class="form-control select2" name="determination_of_disease_status_id" id="determination_of_disease_status_id">
                                @foreach($determination_of_disease_statuses as $id => $entry)
                                    <option value="{{ $id }}" {{ old('determination_of_disease_status_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('determination_of_disease_status'))
                                <span class="help-block" role="alert">{{ $errors->first('determination_of_disease_status') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.determination_of_disease_status_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('contact_tracing') ? 'has-error' : '' }}">
                            <label for="contact_tracing_id">{{ trans('cruds.experienceInEpidemiology.fields.contact_tracing') }}</label>
                            <select class="form-control select2" name="contact_tracing_id" id="contact_tracing_id">
                                @foreach($contact_tracings as $id => $entry)
                                    <option value="{{ $id }}" {{ old('contact_tracing_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('contact_tracing'))
                                <span class="help-block" role="alert">{{ $errors->first('contact_tracing') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.contact_tracing_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('case_management') ? 'has-error' : '' }}">
                            <label for="case_management_id">{{ trans('cruds.experienceInEpidemiology.fields.case_management') }}</label>
                            <select class="form-control select2" name="case_management_id" id="case_management_id">
                                @foreach($case_managements as $id => $entry)
                                    <option value="{{ $id }}" {{ old('case_management_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('case_management'))
                                <span class="help-block" role="alert">{{ $errors->first('case_management') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.case_management_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('epidemiological_studies') ? 'has-error' : '' }}">
                            <label for="epidemiological_studies_id">{{ trans('cruds.experienceInEpidemiology.fields.epidemiological_studies') }}</label>
                            <select class="form-control select2" name="epidemiological_studies_id" id="epidemiological_studies_id">
                                @foreach($epidemiological_studies as $id => $entry)
                                    <option value="{{ $id }}" {{ old('epidemiological_studies_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('epidemiological_studies'))
                                <span class="help-block" role="alert">{{ $errors->first('epidemiological_studies') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.epidemiological_studies_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('study_protocols') ? 'has-error' : '' }}">
                            <label for="study_protocols_id">{{ trans('cruds.experienceInEpidemiology.fields.study_protocols') }}</label>
                            <select class="form-control select2" name="study_protocols_id" id="study_protocols_id">
                                @foreach($study_protocols as $id => $entry)
                                    <option value="{{ $id }}" {{ old('study_protocols_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('study_protocols'))
                                <span class="help-block" role="alert">{{ $errors->first('study_protocols') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.study_protocols_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('data_collection_tools') ? 'has-error' : '' }}">
                            <label for="data_collection_tools_id">{{ trans('cruds.experienceInEpidemiology.fields.data_collection_tools') }}</label>
                            <select class="form-control select2" name="data_collection_tools_id" id="data_collection_tools_id">
                                @foreach($data_collection_tools as $id => $entry)
                                    <option value="{{ $id }}" {{ old('data_collection_tools_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('data_collection_tools'))
                                <span class="help-block" role="alert">{{ $errors->first('data_collection_tools') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.data_collection_tools_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('user') ? 'has-error' : '' }}">
                            <label for="user_id">{{ trans('cruds.experienceInEpidemiology.fields.user') }}</label>
                            <select class="form-control select2" name="user_id" id="user_id">
                                @foreach($users as $id => $entry)
                                    <option value="{{ $id }}" {{ old('user_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('user'))
                                <span class="help-block" role="alert">{{ $errors->first('user') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.experienceInEpidemiology.fields.user_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection