@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.show') }} {{ trans('cruds.experienceInEpidemiology.title') }}
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.experience-in-epidemiologies.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                        <table class="table table-bordered table-striped">
                            <tbody>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.id') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->id }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.rapid_risk_assessments') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->rapid_risk_assessments->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.monitoring_system') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->monitoring_system->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.epidemic_survey') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->epidemic_survey->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.determination_of_disease_status') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->determination_of_disease_status->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.contact_tracing') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->contact_tracing->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.case_management') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->case_management->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.epidemiological_studies') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->epidemiological_studies->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.study_protocols') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->study_protocols->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.data_collection_tools') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->data_collection_tools->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.experienceInEpidemiology.fields.user') }}
                                    </th>
                                    <td>
                                        {{ $experienceInEpidemiology->user->name ?? '' }}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.experience-in-epidemiologies.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                    </div>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection