@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.show') }} {{ trans('cruds.infectionPreventControl.title') }}
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.infection-prevent-controls.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                        <table class="table table-bordered table-striped">
                            <tbody>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.id') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->id }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.in_healthcare_settings') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->in_healthcare_settings->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.in_a_non_medical') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->in_a_non_medical->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.outbreak_investigations') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->outbreak_investigations->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.facility_assessments') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->facility_assessments->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.developing_infection_prevention') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->developing_infection_prevention->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.infection_prevention_and_control') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->infection_prevention_and_control->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.quality_improvement') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->quality_improvement->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.ppe') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->ppe->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.point_of_entry_border_health') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->point_of_entry_border_health->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.poc_non_border') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->poc_non_border->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.infectionPreventControl.fields.rsi') }}
                                    </th>
                                    <td>
                                        {{ $infectionPreventControl->rsi->name ?? '' }}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.infection-prevent-controls.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                    </div>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection