@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.create') }} {{ trans('cruds.laboratoryExperience.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.laboratory-experiences.store") }}" enctype="multipart/form-data">
                        @csrf
                        <div class="form-group {{ $errors->has('user') ? 'has-error' : '' }}">
                            <label for="user_id">{{ trans('cruds.laboratoryExperience.fields.user') }}</label>
                            <select class="form-control select2" name="user_id" id="user_id">
                                @foreach($users as $id => $entry)
                                    <option value="{{ $id }}" {{ old('user_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('user'))
                                <span class="help-block" role="alert">{{ $errors->first('user') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.user_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('biosafety_experience') ? 'has-error' : '' }}">
                            <label for="biosafety_experience_id">{{ trans('cruds.laboratoryExperience.fields.biosafety_experience') }}</label>
                            <select class="form-control select2" name="biosafety_experience_id" id="biosafety_experience_id">
                                @foreach($biosafety_experiences as $id => $entry)
                                    <option value="{{ $id }}" {{ old('biosafety_experience_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('biosafety_experience'))
                                <span class="help-block" role="alert">{{ $errors->first('biosafety_experience') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.biosafety_experience_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('laboratory_quality_management') ? 'has-error' : '' }}">
                            <label for="laboratory_quality_management_id">{{ trans('cruds.laboratoryExperience.fields.laboratory_quality_management') }}</label>
                            <select class="form-control select2" name="laboratory_quality_management_id" id="laboratory_quality_management_id">
                                @foreach($laboratory_quality_managements as $id => $entry)
                                    <option value="{{ $id }}" {{ old('laboratory_quality_management_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('laboratory_quality_management'))
                                <span class="help-block" role="alert">{{ $errors->first('laboratory_quality_management') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.laboratory_quality_management_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('sample_reception_and_acquisition') ? 'has-error' : '' }}">
                            <label for="sample_reception_and_acquisition_id">{{ trans('cruds.laboratoryExperience.fields.sample_reception_and_acquisition') }}</label>
                            <select class="form-control select2" name="sample_reception_and_acquisition_id" id="sample_reception_and_acquisition_id">
                                @foreach($sample_reception_and_acquisitions as $id => $entry)
                                    <option value="{{ $id }}" {{ old('sample_reception_and_acquisition_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('sample_reception_and_acquisition'))
                                <span class="help-block" role="alert">{{ $errors->first('sample_reception_and_acquisition') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.sample_reception_and_acquisition_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('sample_transport') ? 'has-error' : '' }}">
                            <label for="sample_transport_id">{{ trans('cruds.laboratoryExperience.fields.sample_transport') }}</label>
                            <select class="form-control select2" name="sample_transport_id" id="sample_transport_id">
                                @foreach($sample_transports as $id => $entry)
                                    <option value="{{ $id }}" {{ old('sample_transport_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('sample_transport'))
                                <span class="help-block" role="alert">{{ $errors->first('sample_transport') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.sample_transport_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('antimicrobial') ? 'has-error' : '' }}">
                            <label for="antimicrobial_id">{{ trans('cruds.laboratoryExperience.fields.antimicrobial') }}</label>
                            <select class="form-control select2" name="antimicrobial_id" id="antimicrobial_id">
                                @foreach($antimicrobials as $id => $entry)
                                    <option value="{{ $id }}" {{ old('antimicrobial_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('antimicrobial'))
                                <span class="help-block" role="alert">{{ $errors->first('antimicrobial') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.antimicrobial_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('parasitology') ? 'has-error' : '' }}">
                            <label for="parasitology_id">{{ trans('cruds.laboratoryExperience.fields.parasitology') }}</label>
                            <select class="form-control select2" name="parasitology_id" id="parasitology_id">
                                @foreach($parasitologies as $id => $entry)
                                    <option value="{{ $id }}" {{ old('parasitology_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('parasitology'))
                                <span class="help-block" role="alert">{{ $errors->first('parasitology') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.parasitology_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('mycology') ? 'has-error' : '' }}">
                            <label for="mycology_id">{{ trans('cruds.laboratoryExperience.fields.mycology') }}</label>
                            <select class="form-control select2" name="mycology_id" id="mycology_id">
                                @foreach($mycologies as $id => $entry)
                                    <option value="{{ $id }}" {{ old('mycology_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('mycology'))
                                <span class="help-block" role="alert">{{ $errors->first('mycology') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.mycology_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('clinical_chemistry') ? 'has-error' : '' }}">
                            <label for="clinical_chemistry_id">{{ trans('cruds.laboratoryExperience.fields.clinical_chemistry') }}</label>
                            <select class="form-control select2" name="clinical_chemistry_id" id="clinical_chemistry_id">
                                @foreach($clinical_chemistries as $id => $entry)
                                    <option value="{{ $id }}" {{ old('clinical_chemistry_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('clinical_chemistry'))
                                <span class="help-block" role="alert">{{ $errors->first('clinical_chemistry') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.clinical_chemistry_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('blood_bank') ? 'has-error' : '' }}">
                            <label for="blood_bank_id">{{ trans('cruds.laboratoryExperience.fields.blood_bank') }}</label>
                            <select class="form-control select2" name="blood_bank_id" id="blood_bank_id">
                                @foreach($blood_banks as $id => $entry)
                                    <option value="{{ $id }}" {{ old('blood_bank_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('blood_bank'))
                                <span class="help-block" role="alert">{{ $errors->first('blood_bank') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.blood_bank_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('molecular_methods') ? 'has-error' : '' }}">
                            <label for="molecular_methods_id">{{ trans('cruds.laboratoryExperience.fields.molecular_methods') }}</label>
                            <select class="form-control select2" name="molecular_methods_id" id="molecular_methods_id">
                                @foreach($molecular_methods as $id => $entry)
                                    <option value="{{ $id }}" {{ old('molecular_methods_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('molecular_methods'))
                                <span class="help-block" role="alert">{{ $errors->first('molecular_methods') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.molecular_methods_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('advanced_molecular_detection_dma') ? 'has-error' : '' }}">
                            <label for="advanced_molecular_detection_dma_id">{{ trans('cruds.laboratoryExperience.fields.advanced_molecular_detection_dma') }}</label>
                            <select class="form-control select2" name="advanced_molecular_detection_dma_id" id="advanced_molecular_detection_dma_id">
                                @foreach($advanced_molecular_detection_dmas as $id => $entry)
                                    <option value="{{ $id }}" {{ old('advanced_molecular_detection_dma_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('advanced_molecular_detection_dma'))
                                <span class="help-block" role="alert">{{ $errors->first('advanced_molecular_detection_dma') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.advanced_molecular_detection_dma_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('viral_culture') ? 'has-error' : '' }}">
                            <label for="viral_culture_id">{{ trans('cruds.laboratoryExperience.fields.viral_culture') }}</label>
                            <select class="form-control select2" name="viral_culture_id" id="viral_culture_id">
                                @foreach($viral_cultures as $id => $entry)
                                    <option value="{{ $id }}" {{ old('viral_culture_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('viral_culture'))
                                <span class="help-block" role="alert">{{ $errors->first('viral_culture') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.viral_culture_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('serology') ? 'has-error' : '' }}">
                            <label for="serology_id">{{ trans('cruds.laboratoryExperience.fields.serology') }}</label>
                            <select class="form-control select2" name="serology_id" id="serology_id">
                                @foreach($serologies as $id => $entry)
                                    <option value="{{ $id }}" {{ old('serology_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('serology'))
                                <span class="help-block" role="alert">{{ $errors->first('serology') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.serology_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('bsl_3') ? 'has-error' : '' }}">
                            <label for="bsl_3_id">{{ trans('cruds.laboratoryExperience.fields.bsl_3') }}</label>
                            <select class="form-control select2" name="bsl_3_id" id="bsl_3_id">
                                @foreach($bsl_3s as $id => $entry)
                                    <option value="{{ $id }}" {{ old('bsl_3_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('bsl_3'))
                                <span class="help-block" role="alert">{{ $errors->first('bsl_3') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.bsl_3_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('bacterial_culture') ? 'has-error' : '' }}">
                            <label for="bacterial_culture_id">{{ trans('cruds.laboratoryExperience.fields.bacterial_culture') }}</label>
                            <select class="form-control select2" name="bacterial_culture_id" id="bacterial_culture_id">
                                @foreach($bacterial_cultures as $id => $entry)
                                    <option value="{{ $id }}" {{ old('bacterial_culture_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('bacterial_culture'))
                                <span class="help-block" role="alert">{{ $errors->first('bacterial_culture') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.bacterial_culture_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('phlebotomy_venipuncture') ? 'has-error' : '' }}">
                            <label for="phlebotomy_venipuncture_id">{{ trans('cruds.laboratoryExperience.fields.phlebotomy_venipuncture') }}</label>
                            <select class="form-control select2" name="phlebotomy_venipuncture_id" id="phlebotomy_venipuncture_id">
                                @foreach($phlebotomy_venipunctures as $id => $entry)
                                    <option value="{{ $id }}" {{ old('phlebotomy_venipuncture_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('phlebotomy_venipuncture'))
                                <span class="help-block" role="alert">{{ $errors->first('phlebotomy_venipuncture') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.phlebotomy_venipuncture_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('laboratory_training_instructor') ? 'has-error' : '' }}">
                            <label for="laboratory_training_instructor_id">{{ trans('cruds.laboratoryExperience.fields.laboratory_training_instructor') }}</label>
                            <select class="form-control select2" name="laboratory_training_instructor_id" id="laboratory_training_instructor_id">
                                @foreach($laboratory_training_instructors as $id => $entry)
                                    <option value="{{ $id }}" {{ old('laboratory_training_instructor_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('laboratory_training_instructor'))
                                <span class="help-block" role="alert">{{ $errors->first('laboratory_training_instructor') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.laboratory_training_instructor_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('laboratory_supervisor_experience') ? 'has-error' : '' }}">
                            <label for="laboratory_supervisor_experience_id">{{ trans('cruds.laboratoryExperience.fields.laboratory_supervisor_experience') }}</label>
                            <select class="form-control select2" name="laboratory_supervisor_experience_id" id="laboratory_supervisor_experience_id">
                                @foreach($laboratory_supervisor_experiences as $id => $entry)
                                    <option value="{{ $id }}" {{ old('laboratory_supervisor_experience_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('laboratory_supervisor_experience'))
                                <span class="help-block" role="alert">{{ $errors->first('laboratory_supervisor_experience') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.laboratory_supervisor_experience_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('laboratory_field_intervention_coordinator') ? 'has-error' : '' }}">
                            <label for="laboratory_field_intervention_coordinator_id">{{ trans('cruds.laboratoryExperience.fields.laboratory_field_intervention_coordinator') }}</label>
                            <select class="form-control select2" name="laboratory_field_intervention_coordinator_id" id="laboratory_field_intervention_coordinator_id">
                                @foreach($laboratory_field_intervention_coordinators as $id => $entry)
                                    <option value="{{ $id }}" {{ old('laboratory_field_intervention_coordinator_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('laboratory_field_intervention_coordinator'))
                                <span class="help-block" role="alert">{{ $errors->first('laboratory_field_intervention_coordinator') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.laboratoryExperience.fields.laboratory_field_intervention_coordinator_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection