@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.create') }} {{ trans('cruds.nutritionExperience.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.nutrition-experiences.store") }}" enctype="multipart/form-data">
                        @csrf
                        <div class="form-group {{ $errors->has('certified') ? 'has-error' : '' }}">
                            <label>{{ trans('cruds.nutritionExperience.fields.certified') }}</label>
                            <select class="form-control" name="certified" id="certified">
                                <option value disabled {{ old('certified', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                                @foreach(App\Models\NutritionExperience::CERTIFIED_SELECT as $key => $label)
                                    <option value="{{ $key }}" {{ old('certified', '') === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('certified'))
                                <span class="help-block" role="alert">{{ $errors->first('certified') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.nutritionExperience.fields.certified_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('assessment_of_the_nutritional_status_of_the_population') ? 'has-error' : '' }}">
                            <label for="assessment_of_the_nutritional_status_of_the_population_id">{{ trans('cruds.nutritionExperience.fields.assessment_of_the_nutritional_status_of_the_population') }}</label>
                            <select class="form-control select2" name="assessment_of_the_nutritional_status_of_the_population_id" id="assessment_of_the_nutritional_status_of_the_population_id">
                                @foreach($assessment_of_the_nutritional_status_of_the_populations as $id => $entry)
                                    <option value="{{ $id }}" {{ old('assessment_of_the_nutritional_status_of_the_population_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('assessment_of_the_nutritional_status_of_the_population'))
                                <span class="help-block" role="alert">{{ $errors->first('assessment_of_the_nutritional_status_of_the_population') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.nutritionExperience.fields.assessment_of_the_nutritional_status_of_the_population_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('user') ? 'has-error' : '' }}">
                            <label for="user_id">{{ trans('cruds.nutritionExperience.fields.user') }}</label>
                            <select class="form-control select2" name="user_id" id="user_id">
                                @foreach($users as $id => $entry)
                                    <option value="{{ $id }}" {{ old('user_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('user'))
                                <span class="help-block" role="alert">{{ $errors->first('user') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.nutritionExperience.fields.user_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection