@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.edit') }} {{ trans('cruds.psychosocialExperience.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.psychosocial-experiences.update", [$psychosocialExperience->id]) }}" enctype="multipart/form-data">
                        @method('PUT')
                        @csrf
                        <div class="form-group {{ $errors->has('psychosocial_experience') ? 'has-error' : '' }}">
                            <label class="required" for="psychosocial_experience_id">{{ trans('cruds.psychosocialExperience.fields.psychosocial_experience') }}</label>
                            <select class="form-control select2" name="psychosocial_experience_id" id="psychosocial_experience_id" required>
                                @foreach($psychosocial_experiences as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('psychosocial_experience_id') ? old('psychosocial_experience_id') : $psychosocialExperience->psychosocial_experience->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('psychosocial_experience'))
                                <span class="help-block" role="alert">{{ $errors->first('psychosocial_experience') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.psychosocial_experience_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('licensee') ? 'has-error' : '' }}">
                            <label for="licensee_id">{{ trans('cruds.psychosocialExperience.fields.licensee') }}</label>
                            <select class="form-control select2" name="licensee_id" id="licensee_id">
                                @foreach($licensees as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('licensee_id') ? old('licensee_id') : $psychosocialExperience->licensee->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('licensee'))
                                <span class="help-block" role="alert">{{ $errors->first('licensee') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.licensee_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('psychiatrist') ? 'has-error' : '' }}">
                            <label for="psychiatrist_id">{{ trans('cruds.psychosocialExperience.fields.psychiatrist') }}</label>
                            <select class="form-control select2" name="psychiatrist_id" id="psychiatrist_id">
                                @foreach($psychiatrists as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('psychiatrist_id') ? old('psychiatrist_id') : $psychosocialExperience->psychiatrist->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('psychiatrist'))
                                <span class="help-block" role="alert">{{ $errors->first('psychiatrist') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.psychiatrist_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('advisor') ? 'has-error' : '' }}">
                            <label class="required" for="advisor_id">{{ trans('cruds.psychosocialExperience.fields.advisor') }}</label>
                            <select class="form-control select2" name="advisor_id" id="advisor_id" required>
                                @foreach($advisors as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('advisor_id') ? old('advisor_id') : $psychosocialExperience->advisor->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('advisor'))
                                <span class="help-block" role="alert">{{ $errors->first('advisor') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.advisor_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('social_worker') ? 'has-error' : '' }}">
                            <label for="social_worker_id">{{ trans('cruds.psychosocialExperience.fields.social_worker') }}</label>
                            <select class="form-control select2" name="social_worker_id" id="social_worker_id">
                                @foreach($social_workers as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('social_worker_id') ? old('social_worker_id') : $psychosocialExperience->social_worker->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('social_worker'))
                                <span class="help-block" role="alert">{{ $errors->first('social_worker') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.social_worker_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('trauma_based_therapy') ? 'has-error' : '' }}">
                            <label for="trauma_based_therapy_id">{{ trans('cruds.psychosocialExperience.fields.trauma_based_therapy') }}</label>
                            <select class="form-control select2" name="trauma_based_therapy_id" id="trauma_based_therapy_id">
                                @foreach($trauma_based_therapies as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('trauma_based_therapy_id') ? old('trauma_based_therapy_id') : $psychosocialExperience->trauma_based_therapy->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('trauma_based_therapy'))
                                <span class="help-block" role="alert">{{ $errors->first('trauma_based_therapy') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.trauma_based_therapy_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('cognitive_behavioural_therapy') ? 'has-error' : '' }}">
                            <label for="cognitive_behavioural_therapy_id">{{ trans('cruds.psychosocialExperience.fields.cognitive_behavioural_therapy') }}</label>
                            <select class="form-control select2" name="cognitive_behavioural_therapy_id" id="cognitive_behavioural_therapy_id">
                                @foreach($cognitive_behavioural_therapies as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('cognitive_behavioural_therapy_id') ? old('cognitive_behavioural_therapy_id') : $psychosocialExperience->cognitive_behavioural_therapy->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('cognitive_behavioural_therapy'))
                                <span class="help-block" role="alert">{{ $errors->first('cognitive_behavioural_therapy') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.cognitive_behavioural_therapy_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('psychodynamic_therapy') ? 'has-error' : '' }}">
                            <label for="psychodynamic_therapy_id">{{ trans('cruds.psychosocialExperience.fields.psychodynamic_therapy') }}</label>
                            <select class="form-control select2" name="psychodynamic_therapy_id" id="psychodynamic_therapy_id">
                                @foreach($psychodynamic_therapies as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('psychodynamic_therapy_id') ? old('psychodynamic_therapy_id') : $psychosocialExperience->psychodynamic_therapy->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('psychodynamic_therapy'))
                                <span class="help-block" role="alert">{{ $errors->first('psychodynamic_therapy') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.psychodynamic_therapy_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('psychoanalytic_therapy') ? 'has-error' : '' }}">
                            <label for="psychoanalytic_therapy_id">{{ trans('cruds.psychosocialExperience.fields.psychoanalytic_therapy') }}</label>
                            <select class="form-control select2" name="psychoanalytic_therapy_id" id="psychoanalytic_therapy_id">
                                @foreach($psychoanalytic_therapies as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('psychoanalytic_therapy_id') ? old('psychoanalytic_therapy_id') : $psychosocialExperience->psychoanalytic_therapy->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('psychoanalytic_therapy'))
                                <span class="help-block" role="alert">{{ $errors->first('psychoanalytic_therapy') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.psychoanalytic_therapy_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('integrative_or_holistic_therapy') ? 'has-error' : '' }}">
                            <label for="integrative_or_holistic_therapy_id">{{ trans('cruds.psychosocialExperience.fields.integrative_or_holistic_therapy') }}</label>
                            <select class="form-control select2" name="integrative_or_holistic_therapy_id" id="integrative_or_holistic_therapy_id">
                                @foreach($integrative_or_holistic_therapies as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('integrative_or_holistic_therapy_id') ? old('integrative_or_holistic_therapy_id') : $psychosocialExperience->integrative_or_holistic_therapy->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('integrative_or_holistic_therapy'))
                                <span class="help-block" role="alert">{{ $errors->first('integrative_or_holistic_therapy') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.integrative_or_holistic_therapy_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('humanistic_therapy') ? 'has-error' : '' }}">
                            <label for="humanistic_therapy_id">{{ trans('cruds.psychosocialExperience.fields.humanistic_therapy') }}</label>
                            <select class="form-control select2" name="humanistic_therapy_id" id="humanistic_therapy_id">
                                @foreach($humanistic_therapies as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('humanistic_therapy_id') ? old('humanistic_therapy_id') : $psychosocialExperience->humanistic_therapy->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('humanistic_therapy'))
                                <span class="help-block" role="alert">{{ $errors->first('humanistic_therapy') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.humanistic_therapy_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('pediatric_therapy') ? 'has-error' : '' }}">
                            <label for="pediatric_therapy_id">{{ trans('cruds.psychosocialExperience.fields.pediatric_therapy') }}</label>
                            <select class="form-control select2" name="pediatric_therapy_id" id="pediatric_therapy_id">
                                @foreach($pediatric_therapies as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('pediatric_therapy_id') ? old('pediatric_therapy_id') : $psychosocialExperience->pediatric_therapy->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('pediatric_therapy'))
                                <span class="help-block" role="alert">{{ $errors->first('pediatric_therapy') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.pediatric_therapy_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('user') ? 'has-error' : '' }}">
                            <label for="user_id">{{ trans('cruds.psychosocialExperience.fields.user') }}</label>
                            <select class="form-control select2" name="user_id" id="user_id">
                                @foreach($users as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('user_id') ? old('user_id') : $psychosocialExperience->user->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('user'))
                                <span class="help-block" role="alert">{{ $errors->first('user') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.psychosocialExperience.fields.user_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection