@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.edit') }} {{ trans('cruds.qualification.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.qualifications.update", [$qualification->id]) }}" enctype="multipart/form-data">
                        @method('PUT')
                        @csrf
                        <div class="form-group {{ $errors->has('name') ? 'has-error' : '' }}">
                            <label class="required" for="name">{{ trans('cruds.qualification.fields.name') }}</label>
                            <input class="form-control" type="text" name="name" id="name" value="{{ old('name', $qualification->name) }}" required>
                            @if($errors->has('name'))
                                <span class="help-block" role="alert">{{ $errors->first('name') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.qualification.fields.name_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('year_started') ? 'has-error' : '' }}">
                            <label for="year_started">{{ trans('cruds.qualification.fields.year_started') }}</label>
                            <input class="form-control date" type="text" name="year_started" id="year_started" value="{{ old('year_started', $qualification->year_started) }}">
                            @if($errors->has('year_started'))
                                <span class="help-block" role="alert">{{ $errors->first('year_started') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.qualification.fields.year_started_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('year_completed') ? 'has-error' : '' }}">
                            <label for="year_completed">{{ trans('cruds.qualification.fields.year_completed') }}</label>
                            <input class="form-control date" type="text" name="year_completed" id="year_completed" value="{{ old('year_completed', $qualification->year_completed) }}">
                            @if($errors->has('year_completed'))
                                <span class="help-block" role="alert">{{ $errors->first('year_completed') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.qualification.fields.year_completed_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('institute') ? 'has-error' : '' }}">
                            <label class="required" for="institute">{{ trans('cruds.qualification.fields.institute') }}</label>
                            <input class="form-control" type="text" name="institute" id="institute" value="{{ old('institute', $qualification->institute) }}" required>
                            @if($errors->has('institute'))
                                <span class="help-block" role="alert">{{ $errors->first('institute') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.qualification.fields.institute_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('userid') ? 'has-error' : '' }}">
                            <label for="userid_id">{{ trans('cruds.qualification.fields.userid') }}</label>
                            <select class="form-control select2" name="userid_id" id="userid_id">
                                @foreach($userids as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('userid_id') ? old('userid_id') : $qualification->userid->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('userid'))
                                <span class="help-block" role="alert">{{ $errors->first('userid') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.qualification.fields.userid_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection