@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.edit') }} {{ trans('cruds.readinessAndRtMember.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.readiness-and-rt-members.update", [$readinessAndRtMember->id]) }}" enctype="multipart/form-data">
                        @method('PUT')
                        @csrf
                        <div class="form-group {{ $errors->has('upload_certified_rrt_training') ? 'has-error' : '' }}">
                            <label for="upload_certified_rrt_training">{{ trans('cruds.readinessAndRtMember.fields.upload_certified_rrt_training') }}</label>
                            <div class="needsclick dropzone" id="upload_certified_rrt_training-dropzone">
                            </div>
                            @if($errors->has('upload_certified_rrt_training'))
                                <span class="help-block" role="alert">{{ $errors->first('upload_certified_rrt_training') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.upload_certified_rrt_training_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('upload_medical_certificate') ? 'has-error' : '' }}">
                            <label for="upload_medical_certificate">{{ trans('cruds.readinessAndRtMember.fields.upload_medical_certificate') }}</label>
                            <div class="needsclick dropzone" id="upload_medical_certificate-dropzone">
                            </div>
                            @if($errors->has('upload_medical_certificate'))
                                <span class="help-block" role="alert">{{ $errors->first('upload_medical_certificate') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.upload_medical_certificate_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('upload_certificate_of_physical_fitness') ? 'has-error' : '' }}">
                            <label for="upload_certificate_of_physical_fitness">{{ trans('cruds.readinessAndRtMember.fields.upload_certificate_of_physical_fitness') }}</label>
                            <div class="needsclick dropzone" id="upload_certificate_of_physical_fitness-dropzone">
                            </div>
                            @if($errors->has('upload_certificate_of_physical_fitness'))
                                <span class="help-block" role="alert">{{ $errors->first('upload_certificate_of_physical_fitness') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.upload_certificate_of_physical_fitness_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('user') ? 'has-error' : '' }}">
                            <label for="user_id">{{ trans('cruds.readinessAndRtMember.fields.user') }}</label>
                            <select class="form-control select2" name="user_id" id="user_id">
                                @foreach($users as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('user_id') ? old('user_id') : $readinessAndRtMember->user->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('user'))
                                <span class="help-block" role="alert">{{ $errors->first('user') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.user_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('vaccinations') ? 'has-error' : '' }}">
                            <label for="vaccinations">{{ trans('cruds.readinessAndRtMember.fields.vaccinations') }}</label>
                            <div style="padding-bottom: 4px">
                                <span class="btn btn-info btn-xs select-all" style="border-radius: 0">{{ trans('global.select_all') }}</span>
                                <span class="btn btn-info btn-xs deselect-all" style="border-radius: 0">{{ trans('global.deselect_all') }}</span>
                            </div>
                            <select class="form-control select2" name="vaccinations[]" id="vaccinations" multiple>
                                @foreach($vaccinations as $id => $vaccination)
                                    <option value="{{ $id }}" {{ (in_array($id, old('vaccinations', [])) || $readinessAndRtMember->vaccinations->contains($id)) ? 'selected' : '' }}>{{ $vaccination }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('vaccinations'))
                                <span class="help-block" role="alert">{{ $errors->first('vaccinations') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.vaccinations_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_1') ? 'has-error' : '' }}">
                            <label for="training_1_id">{{ trans('cruds.readinessAndRtMember.fields.training_1') }}</label>
                            <select class="form-control select2" name="training_1_id" id="training_1_id">
                                @foreach($training_1s as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('training_1_id') ? old('training_1_id') : $readinessAndRtMember->training_1->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('training_1'))
                                <span class="help-block" role="alert">{{ $errors->first('training_1') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_1_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_1_date') ? 'has-error' : '' }}">
                            <label for="training_1_date">{{ trans('cruds.readinessAndRtMember.fields.training_1_date') }}</label>
                            <input class="form-control date" type="text" name="training_1_date" id="training_1_date" value="{{ old('training_1_date', $readinessAndRtMember->training_1_date) }}">
                            @if($errors->has('training_1_date'))
                                <span class="help-block" role="alert">{{ $errors->first('training_1_date') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_1_date_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_1_expiration_date') ? 'has-error' : '' }}">
                            <label for="training_1_expiration_date">{{ trans('cruds.readinessAndRtMember.fields.training_1_expiration_date') }}</label>
                            <input class="form-control date" type="text" name="training_1_expiration_date" id="training_1_expiration_date" value="{{ old('training_1_expiration_date', $readinessAndRtMember->training_1_expiration_date) }}">
                            @if($errors->has('training_1_expiration_date'))
                                <span class="help-block" role="alert">{{ $errors->first('training_1_expiration_date') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_1_expiration_date_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_2') ? 'has-error' : '' }}">
                            <label for="training_2_id">{{ trans('cruds.readinessAndRtMember.fields.training_2') }}</label>
                            <select class="form-control select2" name="training_2_id" id="training_2_id">
                                @foreach($training_2s as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('training_2_id') ? old('training_2_id') : $readinessAndRtMember->training_2->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('training_2'))
                                <span class="help-block" role="alert">{{ $errors->first('training_2') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_2_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_2_date') ? 'has-error' : '' }}">
                            <label for="training_2_date">{{ trans('cruds.readinessAndRtMember.fields.training_2_date') }}</label>
                            <input class="form-control date" type="text" name="training_2_date" id="training_2_date" value="{{ old('training_2_date', $readinessAndRtMember->training_2_date) }}">
                            @if($errors->has('training_2_date'))
                                <span class="help-block" role="alert">{{ $errors->first('training_2_date') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_2_date_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_2_expiration_date') ? 'has-error' : '' }}">
                            <label for="training_2_expiration_date">{{ trans('cruds.readinessAndRtMember.fields.training_2_expiration_date') }}</label>
                            <input class="form-control date" type="text" name="training_2_expiration_date" id="training_2_expiration_date" value="{{ old('training_2_expiration_date', $readinessAndRtMember->training_2_expiration_date) }}">
                            @if($errors->has('training_2_expiration_date'))
                                <span class="help-block" role="alert">{{ $errors->first('training_2_expiration_date') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_2_expiration_date_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_3_date') ? 'has-error' : '' }}">
                            <label for="training_3_date">{{ trans('cruds.readinessAndRtMember.fields.training_3_date') }}</label>
                            <input class="form-control date" type="text" name="training_3_date" id="training_3_date" value="{{ old('training_3_date', $readinessAndRtMember->training_3_date) }}">
                            @if($errors->has('training_3_date'))
                                <span class="help-block" role="alert">{{ $errors->first('training_3_date') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_3_date_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('trainings_3') ? 'has-error' : '' }}">
                            <label for="trainings_3_id">{{ trans('cruds.readinessAndRtMember.fields.trainings_3') }}</label>
                            <select class="form-control select2" name="trainings_3_id" id="trainings_3_id">
                                @foreach($trainings_3s as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('trainings_3_id') ? old('trainings_3_id') : $readinessAndRtMember->trainings_3->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('trainings_3'))
                                <span class="help-block" role="alert">{{ $errors->first('trainings_3') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.trainings_3_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_3_expiration_date') ? 'has-error' : '' }}">
                            <label for="training_3_expiration_date">{{ trans('cruds.readinessAndRtMember.fields.training_3_expiration_date') }}</label>
                            <input class="form-control date" type="text" name="training_3_expiration_date" id="training_3_expiration_date" value="{{ old('training_3_expiration_date', $readinessAndRtMember->training_3_expiration_date) }}">
                            @if($errors->has('training_3_expiration_date'))
                                <span class="help-block" role="alert">{{ $errors->first('training_3_expiration_date') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_3_expiration_date_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_4') ? 'has-error' : '' }}">
                            <label for="training_4_id">{{ trans('cruds.readinessAndRtMember.fields.training_4') }}</label>
                            <select class="form-control select2" name="training_4_id" id="training_4_id">
                                @foreach($training_4s as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('training_4_id') ? old('training_4_id') : $readinessAndRtMember->training_4->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('training_4'))
                                <span class="help-block" role="alert">{{ $errors->first('training_4') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_4_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_4_date') ? 'has-error' : '' }}">
                            <label for="training_4_date">{{ trans('cruds.readinessAndRtMember.fields.training_4_date') }}</label>
                            <input class="form-control date" type="text" name="training_4_date" id="training_4_date" value="{{ old('training_4_date', $readinessAndRtMember->training_4_date) }}">
                            @if($errors->has('training_4_date'))
                                <span class="help-block" role="alert">{{ $errors->first('training_4_date') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_4_date_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_4_expiration_date') ? 'has-error' : '' }}">
                            <label for="training_4_expiration_date">{{ trans('cruds.readinessAndRtMember.fields.training_4_expiration_date') }}</label>
                            <input class="form-control date" type="text" name="training_4_expiration_date" id="training_4_expiration_date" value="{{ old('training_4_expiration_date', $readinessAndRtMember->training_4_expiration_date) }}">
                            @if($errors->has('training_4_expiration_date'))
                                <span class="help-block" role="alert">{{ $errors->first('training_4_expiration_date') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_4_expiration_date_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('training_support_documents') ? 'has-error' : '' }}">
                            <label class="required" for="training_support_documents">{{ trans('cruds.readinessAndRtMember.fields.training_support_documents') }}</label>
                            <div class="needsclick dropzone" id="training_support_documents-dropzone">
                            </div>
                            @if($errors->has('training_support_documents'))
                                <span class="help-block" role="alert">{{ $errors->first('training_support_documents') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.readinessAndRtMember.fields.training_support_documents_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    var uploadedUploadCertifiedRrtTrainingMap = {}
Dropzone.options.uploadCertifiedRrtTrainingDropzone = {
    url: '{{ route('admin.readiness-and-rt-members.storeMedia') }}',
    maxFilesize: 4, // MB
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 4
    },
    success: function (file, response) {
      $('form').append('<input type="hidden" name="upload_certified_rrt_training[]" value="' + response.name + '">')
      uploadedUploadCertifiedRrtTrainingMap[file.name] = response.name
    },
    removedfile: function (file) {
      file.previewElement.remove()
      var name = ''
      if (typeof file.file_name !== 'undefined') {
        name = file.file_name
      } else {
        name = uploadedUploadCertifiedRrtTrainingMap[file.name]
      }
      $('form').find('input[name="upload_certified_rrt_training[]"][value="' + name + '"]').remove()
    },
    init: function () {
@if(isset($readinessAndRtMember) && $readinessAndRtMember->upload_certified_rrt_training)
          var files =
            {!! json_encode($readinessAndRtMember->upload_certified_rrt_training) !!}
              for (var i in files) {
              var file = files[i]
              this.options.addedfile.call(this, file)
              file.previewElement.classList.add('dz-complete')
              $('form').append('<input type="hidden" name="upload_certified_rrt_training[]" value="' + file.file_name + '">')
            }
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    var uploadedUploadMedicalCertificateMap = {}
Dropzone.options.uploadMedicalCertificateDropzone = {
    url: '{{ route('admin.readiness-and-rt-members.storeMedia') }}',
    maxFilesize: 4, // MB
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 4
    },
    success: function (file, response) {
      $('form').append('<input type="hidden" name="upload_medical_certificate[]" value="' + response.name + '">')
      uploadedUploadMedicalCertificateMap[file.name] = response.name
    },
    removedfile: function (file) {
      file.previewElement.remove()
      var name = ''
      if (typeof file.file_name !== 'undefined') {
        name = file.file_name
      } else {
        name = uploadedUploadMedicalCertificateMap[file.name]
      }
      $('form').find('input[name="upload_medical_certificate[]"][value="' + name + '"]').remove()
    },
    init: function () {
@if(isset($readinessAndRtMember) && $readinessAndRtMember->upload_medical_certificate)
          var files =
            {!! json_encode($readinessAndRtMember->upload_medical_certificate) !!}
              for (var i in files) {
              var file = files[i]
              this.options.addedfile.call(this, file)
              file.previewElement.classList.add('dz-complete')
              $('form').append('<input type="hidden" name="upload_medical_certificate[]" value="' + file.file_name + '">')
            }
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    var uploadedUploadCertificateOfPhysicalFitnessMap = {}
Dropzone.options.uploadCertificateOfPhysicalFitnessDropzone = {
    url: '{{ route('admin.readiness-and-rt-members.storeMedia') }}',
    maxFilesize: 4, // MB
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 4
    },
    success: function (file, response) {
      $('form').append('<input type="hidden" name="upload_certificate_of_physical_fitness[]" value="' + response.name + '">')
      uploadedUploadCertificateOfPhysicalFitnessMap[file.name] = response.name
    },
    removedfile: function (file) {
      file.previewElement.remove()
      var name = ''
      if (typeof file.file_name !== 'undefined') {
        name = file.file_name
      } else {
        name = uploadedUploadCertificateOfPhysicalFitnessMap[file.name]
      }
      $('form').find('input[name="upload_certificate_of_physical_fitness[]"][value="' + name + '"]').remove()
    },
    init: function () {
@if(isset($readinessAndRtMember) && $readinessAndRtMember->upload_certificate_of_physical_fitness)
          var files =
            {!! json_encode($readinessAndRtMember->upload_certificate_of_physical_fitness) !!}
              for (var i in files) {
              var file = files[i]
              this.options.addedfile.call(this, file)
              file.previewElement.classList.add('dz-complete')
              $('form').append('<input type="hidden" name="upload_certificate_of_physical_fitness[]" value="' + file.file_name + '">')
            }
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    var uploadedTrainingSupportDocumentsMap = {}
Dropzone.options.trainingSupportDocumentsDropzone = {
    url: '{{ route('admin.readiness-and-rt-members.storeMedia') }}',
    maxFilesize: 20, // MB
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 20
    },
    success: function (file, response) {
      $('form').append('<input type="hidden" name="training_support_documents[]" value="' + response.name + '">')
      uploadedTrainingSupportDocumentsMap[file.name] = response.name
    },
    removedfile: function (file) {
      file.previewElement.remove()
      var name = ''
      if (typeof file.file_name !== 'undefined') {
        name = file.file_name
      } else {
        name = uploadedTrainingSupportDocumentsMap[file.name]
      }
      $('form').find('input[name="training_support_documents[]"][value="' + name + '"]').remove()
    },
    init: function () {
@if(isset($readinessAndRtMember) && $readinessAndRtMember->training_support_documents)
          var files =
            {!! json_encode($readinessAndRtMember->training_support_documents) !!}
              for (var i in files) {
              var file = files[i]
              this.options.addedfile.call(this, file)
              file.previewElement.classList.add('dz-complete')
              $('form').append('<input type="hidden" name="training_support_documents[]" value="' + file.file_name + '">')
            }
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
@endsection