@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.show') }} {{ trans('cruds.readinessAndRtMember.title') }}
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.readiness-and-rt-members.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                        <table class="table table-bordered table-striped">
                            <tbody>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.id') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->id }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.upload_certified_rrt_training') }}
                                    </th>
                                    <td>
                                        @foreach($readinessAndRtMember->upload_certified_rrt_training as $key => $media)
                                            <a href="{{ $media->getUrl() }}" target="_blank">
                                                {{ trans('global.view_file') }}
                                            </a>
                                        @endforeach
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.upload_medical_certificate') }}
                                    </th>
                                    <td>
                                        @foreach($readinessAndRtMember->upload_medical_certificate as $key => $media)
                                            <a href="{{ $media->getUrl() }}" target="_blank">
                                                {{ trans('global.view_file') }}
                                            </a>
                                        @endforeach
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.upload_certificate_of_physical_fitness') }}
                                    </th>
                                    <td>
                                        @foreach($readinessAndRtMember->upload_certificate_of_physical_fitness as $key => $media)
                                            <a href="{{ $media->getUrl() }}" target="_blank">
                                                {{ trans('global.view_file') }}
                                            </a>
                                        @endforeach
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.user') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->user->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.vaccinations') }}
                                    </th>
                                    <td>
                                        @foreach($readinessAndRtMember->vaccinations as $key => $vaccinations)
                                            <span class="label label-info">{{ $vaccinations->name }}</span>
                                        @endforeach
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_1') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_1->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_1_date') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_1_date }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_1_expiration_date') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_1_expiration_date }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_2') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_2->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_2_date') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_2_date }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_2_expiration_date') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_2_expiration_date }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_3_date') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_3_date }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.trainings_3') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->trainings_3->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_3_expiration_date') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_3_expiration_date }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_4') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_4->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_4_date') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_4_date }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_4_expiration_date') }}
                                    </th>
                                    <td>
                                        {{ $readinessAndRtMember->training_4_expiration_date }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.readinessAndRtMember.fields.training_support_documents') }}
                                    </th>
                                    <td>
                                        @foreach($readinessAndRtMember->training_support_documents as $key => $media)
                                            <a href="{{ $media->getUrl() }}" target="_blank">
                                                {{ trans('global.view_file') }}
                                            </a>
                                        @endforeach
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.readiness-and-rt-members.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                    </div>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection