@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.edit') }} {{ trans('cruds.register.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.registers.update", [$register->id]) }}" enctype="multipart/form-data">
                        @method('PUT')
                        @csrf
                        <div class="form-group {{ $errors->has('structure_of_agency') ? 'has-error' : '' }}">
                            <label class="required" for="structure_of_agency">{{ trans('cruds.register.fields.structure_of_agency') }}</label>
                            <input class="form-control" type="text" name="structure_of_agency" id="structure_of_agency" value="{{ old('structure_of_agency', $register->structure_of_agency) }}" required>
                            @if($errors->has('structure_of_agency'))
                                <span class="help-block" role="alert">{{ $errors->first('structure_of_agency') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.structure_of_agency_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('department') ? 'has-error' : '' }}">
                            <label class="required" for="department">{{ trans('cruds.register.fields.department') }}</label>
                            <input class="form-control" type="text" name="department" id="department" value="{{ old('department', $register->department) }}" required>
                            @if($errors->has('department'))
                                <span class="help-block" role="alert">{{ $errors->first('department') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.department_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('name_of_supervisory_line_manager') ? 'has-error' : '' }}">
                            <label class="required" for="name_of_supervisory_line_manager">{{ trans('cruds.register.fields.name_of_supervisory_line_manager') }}</label>
                            <input class="form-control" type="text" name="name_of_supervisory_line_manager" id="name_of_supervisory_line_manager" value="{{ old('name_of_supervisory_line_manager', $register->name_of_supervisory_line_manager) }}" required>
                            @if($errors->has('name_of_supervisory_line_manager'))
                                <span class="help-block" role="alert">{{ $errors->first('name_of_supervisory_line_manager') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.name_of_supervisory_line_manager_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('supervisorr_email') ? 'has-error' : '' }}">
                            <label class="required" for="supervisorr_email">{{ trans('cruds.register.fields.supervisorr_email') }}</label>
                            <input class="form-control" type="email" name="supervisorr_email" id="supervisorr_email" value="{{ old('supervisorr_email', $register->supervisorr_email) }}" required>
                            @if($errors->has('supervisorr_email'))
                                <span class="help-block" role="alert">{{ $errors->first('supervisorr_email') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.supervisorr_email_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('fetp_mmber') ? 'has-error' : '' }}">
                            <label class="required">{{ trans('cruds.register.fields.fetp_mmber') }}</label>
                            @foreach(App\Models\Register::FETP_MMBER_RADIO as $key => $label)
                                <div>
                                    <input type="radio" id="fetp_mmber_{{ $key }}" name="fetp_mmber" value="{{ $key }}" {{ old('fetp_mmber', $register->fetp_mmber) === (string) $key ? 'checked' : '' }} required>
                                    <label for="fetp_mmber_{{ $key }}" style="font-weight: 400">{{ $label }}</label>
                                </div>
                            @endforeach
                            @if($errors->has('fetp_mmber'))
                                <span class="help-block" role="alert">{{ $errors->first('fetp_mmber') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.fetp_mmber_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('fetp_graduate') ? 'has-error' : '' }}">
                            <label class="required">{{ trans('cruds.register.fields.fetp_graduate') }}</label>
                            @foreach(App\Models\Register::FETP_GRADUATE_RADIO as $key => $label)
                                <div>
                                    <input type="radio" id="fetp_graduate_{{ $key }}" name="fetp_graduate" value="{{ $key }}" {{ old('fetp_graduate', $register->fetp_graduate) === (string) $key ? 'checked' : '' }} required>
                                    <label for="fetp_graduate_{{ $key }}" style="font-weight: 400">{{ $label }}</label>
                                </div>
                            @endforeach
                            @if($errors->has('fetp_graduate'))
                                <span class="help-block" role="alert">{{ $errors->first('fetp_graduate') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.fetp_graduate_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('country_residence') ? 'has-error' : '' }}">
                            <label for="country_residence_id">{{ trans('cruds.register.fields.country_residence') }}</label>
                            <select class="form-control select2" name="country_residence_id" id="country_residence_id">
                                @foreach($country_residences as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('country_residence_id') ? old('country_residence_id') : $register->country_residence->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('country_residence'))
                                <span class="help-block" role="alert">{{ $errors->first('country_residence') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.country_residence_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('city_of_residence') ? 'has-error' : '' }}">
                            <label class="required" for="city_of_residence">{{ trans('cruds.register.fields.city_of_residence') }}</label>
                            <input class="form-control" type="text" name="city_of_residence" id="city_of_residence" value="{{ old('city_of_residence', $register->city_of_residence) }}" required>
                            @if($errors->has('city_of_residence'))
                                <span class="help-block" role="alert">{{ $errors->first('city_of_residence') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.city_of_residence_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('workplace') ? 'has-error' : '' }}">
                            <label class="required" for="workplace">{{ trans('cruds.register.fields.workplace') }}</label>
                            <textarea class="form-control" name="workplace" id="workplace" required>{{ old('workplace', $register->workplace) }}</textarea>
                            @if($errors->has('workplace'))
                                <span class="help-block" role="alert">{{ $errors->first('workplace') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.workplace_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('phone_number') ? 'has-error' : '' }}">
                            <label for="phone_number">{{ trans('cruds.register.fields.phone_number') }}</label>
                            <input class="form-control" type="text" name="phone_number" id="phone_number" value="{{ old('phone_number', $register->phone_number) }}">
                            @if($errors->has('phone_number'))
                                <span class="help-block" role="alert">{{ $errors->first('phone_number') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.phone_number_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('email_address') ? 'has-error' : '' }}">
                            <label for="email_address">{{ trans('cruds.register.fields.email_address') }}</label>
                            <input class="form-control" type="email" name="email_address" id="email_address" value="{{ old('email_address', $register->email_address) }}">
                            @if($errors->has('email_address'))
                                <span class="help-block" role="alert">{{ $errors->first('email_address') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.email_address_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('national_agency_employee') ? 'has-error' : '' }}">
                            <label class="required">{{ trans('cruds.register.fields.national_agency_employee') }}</label>
                            <select class="form-control" name="national_agency_employee" id="national_agency_employee" required>
                                <option value disabled {{ old('national_agency_employee', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                                @foreach(App\Models\Register::NATIONAL_AGENCY_EMPLOYEE_SELECT as $key => $label)
                                    <option value="{{ $key }}" {{ old('national_agency_employee', $register->national_agency_employee) === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('national_agency_employee'))
                                <span class="help-block" role="alert">{{ $errors->first('national_agency_employee') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.national_agency_employee_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('qualification') ? 'has-error' : '' }}">
                            <label for="qualification_id">{{ trans('cruds.register.fields.qualification') }}</label>
                            <select class="form-control select2" name="qualification_id" id="qualification_id">
                                @foreach($qualifications as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('qualification_id') ? old('qualification_id') : $register->qualification->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('qualification'))
                                <span class="help-block" role="alert">{{ $errors->first('qualification') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.qualification_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('other_qualifications') ? 'has-error' : '' }}">
                            <label for="other_qualifications">{{ trans('cruds.register.fields.other_qualifications') }}</label>
                            <textarea class="form-control ckeditor" name="other_qualifications" id="other_qualifications">{!! old('other_qualifications', $register->other_qualifications) !!}</textarea>
                            @if($errors->has('other_qualifications'))
                                <span class="help-block" role="alert">{{ $errors->first('other_qualifications') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.other_qualifications_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('public_health_experience_drc') ? 'has-error' : '' }}">
                            <label>{{ trans('cruds.register.fields.public_health_experience_drc') }}</label>
                            @foreach(App\Models\Register::PUBLIC_HEALTH_EXPERIENCE_DRC_RADIO as $key => $label)
                                <div>
                                    <input type="radio" id="public_health_experience_drc_{{ $key }}" name="public_health_experience_drc" value="{{ $key }}" {{ old('public_health_experience_drc', $register->public_health_experience_drc) === (string) $key ? 'checked' : '' }}>
                                    <label for="public_health_experience_drc_{{ $key }}" style="font-weight: 400">{{ $label }}</label>
                                </div>
                            @endforeach
                            @if($errors->has('public_health_experience_drc'))
                                <span class="help-block" role="alert">{{ $errors->first('public_health_experience_drc') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.public_health_experience_drc_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('if_yes_number') ? 'has-error' : '' }}">
                            <label for="if_yes_number">{{ trans('cruds.register.fields.if_yes_number') }}</label>
                            <input class="form-control" type="number" name="if_yes_number" id="if_yes_number" value="{{ old('if_yes_number', $register->if_yes_number) }}" step="0.01">
                            @if($errors->has('if_yes_number'))
                                <span class="help-block" role="alert">{{ $errors->first('if_yes_number') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.if_yes_number_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('eoc_experience') ? 'has-error' : '' }}">
                            <label>{{ trans('cruds.register.fields.eoc_experience') }}</label>
                            <select class="form-control" name="eoc_experience" id="eoc_experience">
                                <option value disabled {{ old('eoc_experience', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                                @foreach(App\Models\Register::EOC_EXPERIENCE_SELECT as $key => $label)
                                    <option value="{{ $key }}" {{ old('eoc_experience', $register->eoc_experience) === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('eoc_experience'))
                                <span class="help-block" role="alert">{{ $errors->first('eoc_experience') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.eoc_experience_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('eoc_if_yes_number_of_years') ? 'has-error' : '' }}">
                            <label for="eoc_if_yes_number_of_years">{{ trans('cruds.register.fields.eoc_if_yes_number_of_years') }}</label>
                            <input class="form-control" type="number" name="eoc_if_yes_number_of_years" id="eoc_if_yes_number_of_years" value="{{ old('eoc_if_yes_number_of_years', $register->eoc_if_yes_number_of_years) }}" step="1">
                            @if($errors->has('eoc_if_yes_number_of_years'))
                                <span class="help-block" role="alert">{{ $errors->first('eoc_if_yes_number_of_years') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.eoc_if_yes_number_of_years_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('international_work_experience_no_study_abroad') ? 'has-error' : '' }}">
                            <label>{{ trans('cruds.register.fields.international_work_experience_no_study_abroad') }}</label>
                            <select class="form-control" name="international_work_experience_no_study_abroad" id="international_work_experience_no_study_abroad">
                                <option value disabled {{ old('international_work_experience_no_study_abroad', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                                @foreach(App\Models\Register::INTERNATIONAL_WORK_EXPERIENCE_NO_STUDY_ABROAD_SELECT as $key => $label)
                                    <option value="{{ $key }}" {{ old('international_work_experience_no_study_abroad', $register->international_work_experience_no_study_abroad) === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('international_work_experience_no_study_abroad'))
                                <span class="help-block" role="alert">{{ $errors->first('international_work_experience_no_study_abroad') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.international_work_experience_no_study_abroad_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('number_international_deployments') ? 'has-error' : '' }}">
                            <label for="number_international_deployments">{{ trans('cruds.register.fields.number_international_deployments') }}</label>
                            <input class="form-control" type="number" name="number_international_deployments" id="number_international_deployments" value="{{ old('number_international_deployments', $register->number_international_deployments) }}" step="1">
                            @if($errors->has('number_international_deployments'))
                                <span class="help-block" role="alert">{{ $errors->first('number_international_deployments') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.number_international_deployments_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('experience_as_a_team_leader') ? 'has-error' : '' }}">
                            <label class="required">{{ trans('cruds.register.fields.experience_as_a_team_leader') }}</label>
                            <select class="form-control" name="experience_as_a_team_leader" id="experience_as_a_team_leader" required>
                                <option value disabled {{ old('experience_as_a_team_leader', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                                @foreach(App\Models\Register::EXPERIENCE_AS_A_TEAM_LEADER_SELECT as $key => $label)
                                    <option value="{{ $key }}" {{ old('experience_as_a_team_leader', $register->experience_as_a_team_leader) === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('experience_as_a_team_leader'))
                                <span class="help-block" role="alert">{{ $errors->first('experience_as_a_team_leader') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.experience_as_a_team_leader_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('if_yes_above_number_of_deployments_as_tl') ? 'has-error' : '' }}">
                            <label for="if_yes_above_number_of_deployments_as_tl">{{ trans('cruds.register.fields.if_yes_above_number_of_deployments_as_tl') }}</label>
                            <input class="form-control" type="number" name="if_yes_above_number_of_deployments_as_tl" id="if_yes_above_number_of_deployments_as_tl" value="{{ old('if_yes_above_number_of_deployments_as_tl', $register->if_yes_above_number_of_deployments_as_tl) }}" step="1">
                            @if($errors->has('if_yes_above_number_of_deployments_as_tl'))
                                <span class="help-block" role="alert">{{ $errors->first('if_yes_above_number_of_deployments_as_tl') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.if_yes_above_number_of_deployments_as_tl_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('user') ? 'has-error' : '' }}">
                            <label for="user_id">{{ trans('cruds.register.fields.user') }}</label>
                            <select class="form-control select2" name="user_id" id="user_id">
                                @foreach($users as $id => $entry)
                                    <option value="{{ $id }}" {{ (old('user_id') ? old('user_id') : $register->user->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('user'))
                                <span class="help-block" role="alert">{{ $errors->first('user') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.register.fields.user_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    $(document).ready(function () {
  function SimpleUploadAdapter(editor) {
    editor.plugins.get('FileRepository').createUploadAdapter = function(loader) {
      return {
        upload: function() {
          return loader.file
            .then(function (file) {
              return new Promise(function(resolve, reject) {
                // Init request
                var xhr = new XMLHttpRequest();
                xhr.open('POST', '{{ route('admin.registers.storeCKEditorImages') }}', true);
                xhr.setRequestHeader('x-csrf-token', window._token);
                xhr.setRequestHeader('Accept', 'application/json');
                xhr.responseType = 'json';

                // Init listeners
                var genericErrorText = `Couldn't upload file: ${ file.name }.`;
                xhr.addEventListener('error', function() { reject(genericErrorText) });
                xhr.addEventListener('abort', function() { reject() });
                xhr.addEventListener('load', function() {
                  var response = xhr.response;

                  if (!response || xhr.status !== 201) {
                    return reject(response && response.message ? `${genericErrorText}\n${xhr.status} ${response.message}` : `${genericErrorText}\n ${xhr.status} ${xhr.statusText}`);
                  }

                  $('form').append('<input type="hidden" name="ck-media[]" value="' + response.id + '">');

                  resolve({ default: response.url });
                });

                if (xhr.upload) {
                  xhr.upload.addEventListener('progress', function(e) {
                    if (e.lengthComputable) {
                      loader.uploadTotal = e.total;
                      loader.uploaded = e.loaded;
                    }
                  });
                }

                // Send request
                var data = new FormData();
                data.append('upload', file);
                data.append('crud_id', '{{ $register->id ?? 0 }}');
                xhr.send(data);
              });
            })
        }
      };
    }
  }

  var allEditors = document.querySelectorAll('.ckeditor');
  for (var i = 0; i < allEditors.length; ++i) {
    ClassicEditor.create(
      allEditors[i], {
        extraPlugins: [SimpleUploadAdapter]
      }
    );
  }
});
</script>

@endsection