@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.show') }} {{ trans('cruds.requestDatabase.title') }}
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.request-databases.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                        <table class="table table-bordered table-striped">
                            <tbody>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.id') }}
                                    </th>
                                    <td>
                                        {{ $requestDatabase->id }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.requester') }}
                                    </th>
                                    <td>
                                        {{ $requestDatabase->requester->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.request_date') }}
                                    </th>
                                    <td>
                                        {{ $requestDatabase->request_date }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.request_approval') }}
                                    </th>
                                    <td>
                                        {{ App\Models\RequestDatabase::REQUEST_APPROVAL_RADIO[$requestDatabase->request_approval] ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.date_of_request_approval_denial') }}
                                    </th>
                                    <td>
                                        {{ $requestDatabase->date_of_request_approval_denial }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.request') }}
                                    </th>
                                    <td>
                                        {{ $requestDatabase->request->request_type ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.if_other_above_specify') }}
                                    </th>
                                    <td>
                                        {!! $requestDatabase->if_other_above_specify !!}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.technical_request') }}
                                    </th>
                                    <td>
                                        @foreach($requestDatabase->technical_requests as $key => $technical_request)
                                            <span class="label label-info">{{ $technical_request->name }}</span>
                                        @endforeach
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.request_location') }}
                                    </th>
                                    <td>
                                        {{ $requestDatabase->request_location->name ?? '' }}
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        {{ trans('cruds.requestDatabase.fields.request_duration') }}
                                    </th>
                                    <td>
                                        {{ $requestDatabase->request_duration }}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="form-group">
                            <a class="btn btn-default" href="{{ route('admin.request-databases.index') }}">
                                {{ trans('global.back_to_list') }}
                            </a>
                        </div>
                    </div>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection