@extends('layouts.admin')
@section('content')
<div class="content">
    @can('security_manager_experience_create')
        <div style="margin-bottom: 10px;" class="row">
            <div class="col-lg-12">
                <a class="btn btn-success" href="{{ route('admin.security-manager-experiences.create') }}">
                    {{ trans('global.add') }} {{ trans('cruds.securityManagerExperience.title_singular') }}
                </a>
            </div>
        </div>
    @endcan
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('cruds.securityManagerExperience.title_singular') }} {{ trans('global.list') }}
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class=" table table-bordered table-striped table-hover datatable datatable-SecurityManagerExperience">
                            <thead>
                                <tr>
                                    <th width="10">

                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.id') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.occupational_health_and_safety_assessment') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.osh_y_n_facility_assessment') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.development_of_an_incident_action') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.other_training_on_osh') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.training_received_in_the_field_of_expertise') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.do_you_have_a_service_passport') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.eir_volunteer') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.if_not_please_indicate_the_months') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.national_training_insert_name_and_date_of_just_in_time') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.name_of_just_in_time_training') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.securityManagerExperience.fields.date_of_just_in_time_training') }}
                                    </th>
                                    <th>
                                        &nbsp;
                                    </th>
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($training_levels as $key => $item)
                                                <option value="{{ $item->name }}">{{ $item->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($training_levels as $key => $item)
                                                <option value="{{ $item->name }}">{{ $item->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($training_levels as $key => $item)
                                                <option value="{{ $item->name }}">{{ $item->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($training_levels as $key => $item)
                                                <option value="{{ $item->name }}">{{ $item->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($training_levels as $key => $item)
                                                <option value="{{ $item->name }}">{{ $item->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="search" strict="true">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach(App\Models\SecurityManagerExperience::DO_YOU_HAVE_A_SERVICE_PASSPORT_RADIO as $key => $item)
                                                <option value="{{ $item }}">{{ $item }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="search" strict="true">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach(App\Models\SecurityManagerExperience::EIR_VOLUNTEER_RADIO as $key => $item)
                                                <option value="{{ $item }}">{{ $item }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="search">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach($months as $key => $item)
                                                <option value="{{ $item->name }}">{{ $item->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="search" strict="true">
                                            <option value>{{ trans('global.all') }}</option>
                                            @foreach(App\Models\SecurityManagerExperience::NATIONAL_TRAINING_INSERT_NAME_AND_DATE_OF_JUST_IN_TIME_RADIO as $key => $item)
                                                <option value="{{ $item }}">{{ $item }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                                    </td>
                                    <td>
                                    </td>
                                    <td>
                                    </td>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($securityManagerExperiences as $key => $securityManagerExperience)
                                    <tr data-entry-id="{{ $securityManagerExperience->id }}">
                                        <td>

                                        </td>
                                        <td>
                                            {{ $securityManagerExperience->id ?? '' }}
                                        </td>
                                        <td>
                                            {{ $securityManagerExperience->occupational_health_and_safety_assessment->name ?? '' }}
                                        </td>
                                        <td>
                                            {{ $securityManagerExperience->osh_y_n_facility_assessment->name ?? '' }}
                                        </td>
                                        <td>
                                            {{ $securityManagerExperience->development_of_an_incident_action->name ?? '' }}
                                        </td>
                                        <td>
                                            {{ $securityManagerExperience->other_training_on_osh->name ?? '' }}
                                        </td>
                                        <td>
                                            {{ $securityManagerExperience->training_received_in_the_field_of_expertise->name ?? '' }}
                                        </td>
                                        <td>
                                            {{ App\Models\SecurityManagerExperience::DO_YOU_HAVE_A_SERVICE_PASSPORT_RADIO[$securityManagerExperience->do_you_have_a_service_passport] ?? '' }}
                                        </td>
                                        <td>
                                            {{ App\Models\SecurityManagerExperience::EIR_VOLUNTEER_RADIO[$securityManagerExperience->eir_volunteer] ?? '' }}
                                        </td>
                                        <td>
                                            @foreach($securityManagerExperience->if_not_please_indicate_the_months as $key => $item)
                                                <span class="label label-info label-many">{{ $item->name }}</span>
                                            @endforeach
                                        </td>
                                        <td>
                                            {{ App\Models\SecurityManagerExperience::NATIONAL_TRAINING_INSERT_NAME_AND_DATE_OF_JUST_IN_TIME_RADIO[$securityManagerExperience->national_training_insert_name_and_date_of_just_in_time] ?? '' }}
                                        </td>
                                        <td>
                                            {{ $securityManagerExperience->name_of_just_in_time_training ?? '' }}
                                        </td>
                                        <td>
                                            {{ $securityManagerExperience->date_of_just_in_time_training ?? '' }}
                                        </td>
                                        <td>
                                            @can('security_manager_experience_show')
                                                <a class="btn btn-xs btn-primary" href="{{ route('admin.security-manager-experiences.show', $securityManagerExperience->id) }}">
                                                    {{ trans('global.view') }}
                                                </a>
                                            @endcan

                                            @can('security_manager_experience_edit')
                                                <a class="btn btn-xs btn-info" href="{{ route('admin.security-manager-experiences.edit', $securityManagerExperience->id) }}">
                                                    {{ trans('global.edit') }}
                                                </a>
                                            @endcan

                                            @can('security_manager_experience_delete')
                                                <form action="{{ route('admin.security-manager-experiences.destroy', $securityManagerExperience->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                                    <input type="hidden" name="_method" value="DELETE">
                                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                    <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                                </form>
                                            @endcan

                                        </td>

                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('security_manager_experience_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.security-manager-experiences.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-SecurityManagerExperience:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
let visibleColumnsIndexes = null;
$('.datatable thead').on('input', '.search', function () {
      let strict = $(this).attr('strict') || false
      let value = strict && this.value ? "^" + this.value + "$" : this.value

      let index = $(this).parent().index()
      if (visibleColumnsIndexes !== null) {
        index = visibleColumnsIndexes[index]
      }

      table
        .column(index)
        .search(value, strict)
        .draw()
  });
table.on('column-visibility.dt', function(e, settings, column, state) {
      visibleColumnsIndexes = []
      table.columns(":visible").every(function(colIdx) {
          visibleColumnsIndexes.push(colIdx);
      });
  })
})

</script>
@endsection