@extends('layouts.admin')
@section('content')
<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    {{ trans('global.create') }} {{ trans('cruds.waterSanitationHygieneWash.title_singular') }}
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route("admin.water-sanitation-hygiene-washes.store") }}" enctype="multipart/form-data">
                        @csrf
                        <div class="form-group {{ $errors->has('in_healthcare_settings') ? 'has-error' : '' }}">
                            <label for="in_healthcare_settings_id">{{ trans('cruds.waterSanitationHygieneWash.fields.in_healthcare_settings') }}</label>
                            <select class="form-control select2" name="in_healthcare_settings_id" id="in_healthcare_settings_id">
                                @foreach($in_healthcare_settings as $id => $entry)
                                    <option value="{{ $id }}" {{ old('in_healthcare_settings_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('in_healthcare_settings'))
                                <span class="help-block" role="alert">{{ $errors->first('in_healthcare_settings') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.waterSanitationHygieneWash.fields.in_healthcare_settings_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('in_a_non_medical') ? 'has-error' : '' }}">
                            <label for="in_a_non_medical_id">{{ trans('cruds.waterSanitationHygieneWash.fields.in_a_non_medical') }}</label>
                            <select class="form-control select2" name="in_a_non_medical_id" id="in_a_non_medical_id">
                                @foreach($in_a_non_medicals as $id => $entry)
                                    <option value="{{ $id }}" {{ old('in_a_non_medical_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('in_a_non_medical'))
                                <span class="help-block" role="alert">{{ $errors->first('in_a_non_medical') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.waterSanitationHygieneWash.fields.in_a_non_medical_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('source_water_assessment') ? 'has-error' : '' }}">
                            <label for="source_water_assessment_id">{{ trans('cruds.waterSanitationHygieneWash.fields.source_water_assessment') }}</label>
                            <select class="form-control select2" name="source_water_assessment_id" id="source_water_assessment_id">
                                @foreach($source_water_assessments as $id => $entry)
                                    <option value="{{ $id }}" {{ old('source_water_assessment_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('source_water_assessment'))
                                <span class="help-block" role="alert">{{ $errors->first('source_water_assessment') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.waterSanitationHygieneWash.fields.source_water_assessment_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('water_analysis') ? 'has-error' : '' }}">
                            <label for="water_analysis_id">{{ trans('cruds.waterSanitationHygieneWash.fields.water_analysis') }}</label>
                            <select class="form-control select2" name="water_analysis_id" id="water_analysis_id">
                                @foreach($water_analyses as $id => $entry)
                                    <option value="{{ $id }}" {{ old('water_analysis_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('water_analysis'))
                                <span class="help-block" role="alert">{{ $errors->first('water_analysis') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.waterSanitationHygieneWash.fields.water_analysis_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('train_others_on_water_testing_and_aquatab') ? 'has-error' : '' }}">
                            <label for="train_others_on_water_testing_and_aquatab_id">{{ trans('cruds.waterSanitationHygieneWash.fields.train_others_on_water_testing_and_aquatab') }}</label>
                            <select class="form-control select2" name="train_others_on_water_testing_and_aquatab_id" id="train_others_on_water_testing_and_aquatab_id">
                                @foreach($train_others_on_water_testing_and_aquatabs as $id => $entry)
                                    <option value="{{ $id }}" {{ old('train_others_on_water_testing_and_aquatab_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('train_others_on_water_testing_and_aquatab'))
                                <span class="help-block" role="alert">{{ $errors->first('train_others_on_water_testing_and_aquatab') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.waterSanitationHygieneWash.fields.train_others_on_water_testing_and_aquatab_helper') }}</span>
                        </div>
                        <div class="form-group {{ $errors->has('water_infrastructure_mapping') ? 'has-error' : '' }}">
                            <label for="water_infrastructure_mapping_id">{{ trans('cruds.waterSanitationHygieneWash.fields.water_infrastructure_mapping') }}</label>
                            <select class="form-control select2" name="water_infrastructure_mapping_id" id="water_infrastructure_mapping_id">
                                @foreach($water_infrastructure_mappings as $id => $entry)
                                    <option value="{{ $id }}" {{ old('water_infrastructure_mapping_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('water_infrastructure_mapping'))
                                <span class="help-block" role="alert">{{ $errors->first('water_infrastructure_mapping') }}</span>
                            @endif
                            <span class="help-block">{{ trans('cruds.waterSanitationHygieneWash.fields.water_infrastructure_mapping_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>



        </div>
    </div>
</div>
@endsection